<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFAirTestEntry ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFAirTestEntry extends AbstractStructArrayBase
{
    /**
     * The clsWCFAirTestEntry
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFAirTestEntry[]
     */
    public $clsWCFAirTestEntry;
    /**
     * Constructor method for ArrayOfClsWCFAirTestEntry
     * @uses ArrayOfClsWCFAirTestEntry::setClsWCFAirTestEntry()
     * @param \StructType\ClsWCFAirTestEntry[] $clsWCFAirTestEntry
     */
    public function __construct(array $clsWCFAirTestEntry = array())
    {
        $this
            ->setClsWCFAirTestEntry($clsWCFAirTestEntry);
    }
    /**
     * Get clsWCFAirTestEntry value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFAirTestEntry[]|null
     */
    public function getClsWCFAirTestEntry()
    {
        return isset($this->clsWCFAirTestEntry) ? $this->clsWCFAirTestEntry : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFAirTestEntry method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFAirTestEntry method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFAirTestEntryForArrayConstraintsFromSetClsWCFAirTestEntry(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFAirTestEntryClsWCFAirTestEntryItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFAirTestEntryClsWCFAirTestEntryItem instanceof \StructType\ClsWCFAirTestEntry) {
                $invalidValues[] = is_object($arrayOfClsWCFAirTestEntryClsWCFAirTestEntryItem) ? get_class($arrayOfClsWCFAirTestEntryClsWCFAirTestEntryItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFAirTestEntryClsWCFAirTestEntryItem), var_export($arrayOfClsWCFAirTestEntryClsWCFAirTestEntryItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFAirTestEntry property can only contain items of type \StructType\ClsWCFAirTestEntry, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFAirTestEntry value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFAirTestEntry[] $clsWCFAirTestEntry
     * @return \ArrayType\ArrayOfClsWCFAirTestEntry
     */
    public function setClsWCFAirTestEntry(array $clsWCFAirTestEntry = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFAirTestEntryArrayErrorMessage = self::validateClsWCFAirTestEntryForArrayConstraintsFromSetClsWCFAirTestEntry($clsWCFAirTestEntry))) {
            throw new \InvalidArgumentException($clsWCFAirTestEntryArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFAirTestEntry) || (is_array($clsWCFAirTestEntry) && empty($clsWCFAirTestEntry))) {
            unset($this->clsWCFAirTestEntry);
        } else {
            $this->clsWCFAirTestEntry = $clsWCFAirTestEntry;
        }
        return $this;
    }
    /**
     * Add item to clsWCFAirTestEntry value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFAirTestEntry $item
     * @return \ArrayType\ArrayOfClsWCFAirTestEntry
     */
    public function addToClsWCFAirTestEntry(\StructType\ClsWCFAirTestEntry $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFAirTestEntry) {
            throw new \InvalidArgumentException(sprintf('The clsWCFAirTestEntry property can only contain items of type \StructType\ClsWCFAirTestEntry, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFAirTestEntry[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFAirTestEntry|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFAirTestEntry|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFAirTestEntry|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFAirTestEntry|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFAirTestEntry|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFAirTestEntry
     */
    public function getAttributeName()
    {
        return 'clsWCFAirTestEntry';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFAirTestEntry
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
