<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFAndroidAsset ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFAndroidAsset extends AbstractStructArrayBase
{
    /**
     * The clsWCFAndroidAsset
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFAndroidAsset[]
     */
    public $clsWCFAndroidAsset;
    /**
     * Constructor method for ArrayOfClsWCFAndroidAsset
     * @uses ArrayOfClsWCFAndroidAsset::setClsWCFAndroidAsset()
     * @param \StructType\ClsWCFAndroidAsset[] $clsWCFAndroidAsset
     */
    public function __construct(array $clsWCFAndroidAsset = array())
    {
        $this
            ->setClsWCFAndroidAsset($clsWCFAndroidAsset);
    }
    /**
     * Get clsWCFAndroidAsset value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFAndroidAsset[]|null
     */
    public function getClsWCFAndroidAsset()
    {
        return isset($this->clsWCFAndroidAsset) ? $this->clsWCFAndroidAsset : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFAndroidAsset method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFAndroidAsset method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFAndroidAssetForArrayConstraintsFromSetClsWCFAndroidAsset(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFAndroidAssetClsWCFAndroidAssetItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFAndroidAssetClsWCFAndroidAssetItem instanceof \StructType\ClsWCFAndroidAsset) {
                $invalidValues[] = is_object($arrayOfClsWCFAndroidAssetClsWCFAndroidAssetItem) ? get_class($arrayOfClsWCFAndroidAssetClsWCFAndroidAssetItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFAndroidAssetClsWCFAndroidAssetItem), var_export($arrayOfClsWCFAndroidAssetClsWCFAndroidAssetItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFAndroidAsset property can only contain items of type \StructType\ClsWCFAndroidAsset, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFAndroidAsset value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFAndroidAsset[] $clsWCFAndroidAsset
     * @return \ArrayType\ArrayOfClsWCFAndroidAsset
     */
    public function setClsWCFAndroidAsset(array $clsWCFAndroidAsset = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFAndroidAssetArrayErrorMessage = self::validateClsWCFAndroidAssetForArrayConstraintsFromSetClsWCFAndroidAsset($clsWCFAndroidAsset))) {
            throw new \InvalidArgumentException($clsWCFAndroidAssetArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFAndroidAsset) || (is_array($clsWCFAndroidAsset) && empty($clsWCFAndroidAsset))) {
            unset($this->clsWCFAndroidAsset);
        } else {
            $this->clsWCFAndroidAsset = $clsWCFAndroidAsset;
        }
        return $this;
    }
    /**
     * Add item to clsWCFAndroidAsset value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFAndroidAsset $item
     * @return \ArrayType\ArrayOfClsWCFAndroidAsset
     */
    public function addToClsWCFAndroidAsset(\StructType\ClsWCFAndroidAsset $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFAndroidAsset) {
            throw new \InvalidArgumentException(sprintf('The clsWCFAndroidAsset property can only contain items of type \StructType\ClsWCFAndroidAsset, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFAndroidAsset[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFAndroidAsset|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFAndroidAsset|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFAndroidAsset|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFAndroidAsset|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFAndroidAsset|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFAndroidAsset
     */
    public function getAttributeName()
    {
        return 'clsWCFAndroidAsset';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFAndroidAsset
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
