<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFAnswer ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFAnswer extends AbstractStructArrayBase
{
    /**
     * The clsWCFAnswer
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFAnswer[]
     */
    public $clsWCFAnswer;
    /**
     * Constructor method for ArrayOfClsWCFAnswer
     * @uses ArrayOfClsWCFAnswer::setClsWCFAnswer()
     * @param \StructType\ClsWCFAnswer[] $clsWCFAnswer
     */
    public function __construct(array $clsWCFAnswer = array())
    {
        $this
            ->setClsWCFAnswer($clsWCFAnswer);
    }
    /**
     * Get clsWCFAnswer value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFAnswer[]|null
     */
    public function getClsWCFAnswer()
    {
        return isset($this->clsWCFAnswer) ? $this->clsWCFAnswer : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFAnswer method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFAnswer method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFAnswerForArrayConstraintsFromSetClsWCFAnswer(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFAnswerClsWCFAnswerItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFAnswerClsWCFAnswerItem instanceof \StructType\ClsWCFAnswer) {
                $invalidValues[] = is_object($arrayOfClsWCFAnswerClsWCFAnswerItem) ? get_class($arrayOfClsWCFAnswerClsWCFAnswerItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFAnswerClsWCFAnswerItem), var_export($arrayOfClsWCFAnswerClsWCFAnswerItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFAnswer property can only contain items of type \StructType\ClsWCFAnswer, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFAnswer value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFAnswer[] $clsWCFAnswer
     * @return \ArrayType\ArrayOfClsWCFAnswer
     */
    public function setClsWCFAnswer(array $clsWCFAnswer = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFAnswerArrayErrorMessage = self::validateClsWCFAnswerForArrayConstraintsFromSetClsWCFAnswer($clsWCFAnswer))) {
            throw new \InvalidArgumentException($clsWCFAnswerArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFAnswer) || (is_array($clsWCFAnswer) && empty($clsWCFAnswer))) {
            unset($this->clsWCFAnswer);
        } else {
            $this->clsWCFAnswer = $clsWCFAnswer;
        }
        return $this;
    }
    /**
     * Add item to clsWCFAnswer value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFAnswer $item
     * @return \ArrayType\ArrayOfClsWCFAnswer
     */
    public function addToClsWCFAnswer(\StructType\ClsWCFAnswer $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFAnswer) {
            throw new \InvalidArgumentException(sprintf('The clsWCFAnswer property can only contain items of type \StructType\ClsWCFAnswer, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFAnswer[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFAnswer|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFAnswer|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFAnswer|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFAnswer|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFAnswer|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFAnswer
     */
    public function getAttributeName()
    {
        return 'clsWCFAnswer';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFAnswer
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
