<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFAnswerFire ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFAnswerFire extends AbstractStructArrayBase
{
    /**
     * The clsWCFAnswerFire
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFAnswerFire[]
     */
    public $clsWCFAnswerFire;
    /**
     * Constructor method for ArrayOfClsWCFAnswerFire
     * @uses ArrayOfClsWCFAnswerFire::setClsWCFAnswerFire()
     * @param \StructType\ClsWCFAnswerFire[] $clsWCFAnswerFire
     */
    public function __construct(array $clsWCFAnswerFire = array())
    {
        $this
            ->setClsWCFAnswerFire($clsWCFAnswerFire);
    }
    /**
     * Get clsWCFAnswerFire value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFAnswerFire[]|null
     */
    public function getClsWCFAnswerFire()
    {
        return isset($this->clsWCFAnswerFire) ? $this->clsWCFAnswerFire : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFAnswerFire method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFAnswerFire method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFAnswerFireForArrayConstraintsFromSetClsWCFAnswerFire(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFAnswerFireClsWCFAnswerFireItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFAnswerFireClsWCFAnswerFireItem instanceof \StructType\ClsWCFAnswerFire) {
                $invalidValues[] = is_object($arrayOfClsWCFAnswerFireClsWCFAnswerFireItem) ? get_class($arrayOfClsWCFAnswerFireClsWCFAnswerFireItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFAnswerFireClsWCFAnswerFireItem), var_export($arrayOfClsWCFAnswerFireClsWCFAnswerFireItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFAnswerFire property can only contain items of type \StructType\ClsWCFAnswerFire, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFAnswerFire value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFAnswerFire[] $clsWCFAnswerFire
     * @return \ArrayType\ArrayOfClsWCFAnswerFire
     */
    public function setClsWCFAnswerFire(array $clsWCFAnswerFire = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFAnswerFireArrayErrorMessage = self::validateClsWCFAnswerFireForArrayConstraintsFromSetClsWCFAnswerFire($clsWCFAnswerFire))) {
            throw new \InvalidArgumentException($clsWCFAnswerFireArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFAnswerFire) || (is_array($clsWCFAnswerFire) && empty($clsWCFAnswerFire))) {
            unset($this->clsWCFAnswerFire);
        } else {
            $this->clsWCFAnswerFire = $clsWCFAnswerFire;
        }
        return $this;
    }
    /**
     * Add item to clsWCFAnswerFire value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFAnswerFire $item
     * @return \ArrayType\ArrayOfClsWCFAnswerFire
     */
    public function addToClsWCFAnswerFire(\StructType\ClsWCFAnswerFire $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFAnswerFire) {
            throw new \InvalidArgumentException(sprintf('The clsWCFAnswerFire property can only contain items of type \StructType\ClsWCFAnswerFire, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFAnswerFire[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFAnswerFire|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFAnswerFire|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFAnswerFire|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFAnswerFire|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFAnswerFire|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFAnswerFire
     */
    public function getAttributeName()
    {
        return 'clsWCFAnswerFire';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFAnswerFire
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
