<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFAsset ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFAsset extends AbstractStructArrayBase
{
    /**
     * The clsWCFAsset
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFAsset[]
     */
    public $clsWCFAsset;
    /**
     * Constructor method for ArrayOfClsWCFAsset
     * @uses ArrayOfClsWCFAsset::setClsWCFAsset()
     * @param \StructType\ClsWCFAsset[] $clsWCFAsset
     */
    public function __construct(array $clsWCFAsset = array())
    {
        $this
            ->setClsWCFAsset($clsWCFAsset);
    }
    /**
     * Get clsWCFAsset value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFAsset[]|null
     */
    public function getClsWCFAsset()
    {
        return isset($this->clsWCFAsset) ? $this->clsWCFAsset : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFAsset method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFAsset method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFAssetForArrayConstraintsFromSetClsWCFAsset(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFAssetClsWCFAssetItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFAssetClsWCFAssetItem instanceof \StructType\ClsWCFAsset) {
                $invalidValues[] = is_object($arrayOfClsWCFAssetClsWCFAssetItem) ? get_class($arrayOfClsWCFAssetClsWCFAssetItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFAssetClsWCFAssetItem), var_export($arrayOfClsWCFAssetClsWCFAssetItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFAsset property can only contain items of type \StructType\ClsWCFAsset, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFAsset value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFAsset[] $clsWCFAsset
     * @return \ArrayType\ArrayOfClsWCFAsset
     */
    public function setClsWCFAsset(array $clsWCFAsset = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFAssetArrayErrorMessage = self::validateClsWCFAssetForArrayConstraintsFromSetClsWCFAsset($clsWCFAsset))) {
            throw new \InvalidArgumentException($clsWCFAssetArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFAsset) || (is_array($clsWCFAsset) && empty($clsWCFAsset))) {
            unset($this->clsWCFAsset);
        } else {
            $this->clsWCFAsset = $clsWCFAsset;
        }
        return $this;
    }
    /**
     * Add item to clsWCFAsset value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFAsset $item
     * @return \ArrayType\ArrayOfClsWCFAsset
     */
    public function addToClsWCFAsset(\StructType\ClsWCFAsset $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFAsset) {
            throw new \InvalidArgumentException(sprintf('The clsWCFAsset property can only contain items of type \StructType\ClsWCFAsset, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFAsset[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFAsset|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFAsset|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFAsset|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFAsset|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFAsset|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFAsset
     */
    public function getAttributeName()
    {
        return 'clsWCFAsset';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFAsset
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
