<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFCalibrationEntry ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFCalibrationEntry extends AbstractStructArrayBase
{
    /**
     * The clsWCFCalibrationEntry
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFCalibrationEntry[]
     */
    public $clsWCFCalibrationEntry;
    /**
     * Constructor method for ArrayOfClsWCFCalibrationEntry
     * @uses ArrayOfClsWCFCalibrationEntry::setClsWCFCalibrationEntry()
     * @param \StructType\ClsWCFCalibrationEntry[] $clsWCFCalibrationEntry
     */
    public function __construct(array $clsWCFCalibrationEntry = array())
    {
        $this
            ->setClsWCFCalibrationEntry($clsWCFCalibrationEntry);
    }
    /**
     * Get clsWCFCalibrationEntry value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFCalibrationEntry[]|null
     */
    public function getClsWCFCalibrationEntry()
    {
        return isset($this->clsWCFCalibrationEntry) ? $this->clsWCFCalibrationEntry : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFCalibrationEntry method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFCalibrationEntry method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFCalibrationEntryForArrayConstraintsFromSetClsWCFCalibrationEntry(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFCalibrationEntryClsWCFCalibrationEntryItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFCalibrationEntryClsWCFCalibrationEntryItem instanceof \StructType\ClsWCFCalibrationEntry) {
                $invalidValues[] = is_object($arrayOfClsWCFCalibrationEntryClsWCFCalibrationEntryItem) ? get_class($arrayOfClsWCFCalibrationEntryClsWCFCalibrationEntryItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFCalibrationEntryClsWCFCalibrationEntryItem), var_export($arrayOfClsWCFCalibrationEntryClsWCFCalibrationEntryItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFCalibrationEntry property can only contain items of type \StructType\ClsWCFCalibrationEntry, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFCalibrationEntry value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFCalibrationEntry[] $clsWCFCalibrationEntry
     * @return \ArrayType\ArrayOfClsWCFCalibrationEntry
     */
    public function setClsWCFCalibrationEntry(array $clsWCFCalibrationEntry = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFCalibrationEntryArrayErrorMessage = self::validateClsWCFCalibrationEntryForArrayConstraintsFromSetClsWCFCalibrationEntry($clsWCFCalibrationEntry))) {
            throw new \InvalidArgumentException($clsWCFCalibrationEntryArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFCalibrationEntry) || (is_array($clsWCFCalibrationEntry) && empty($clsWCFCalibrationEntry))) {
            unset($this->clsWCFCalibrationEntry);
        } else {
            $this->clsWCFCalibrationEntry = $clsWCFCalibrationEntry;
        }
        return $this;
    }
    /**
     * Add item to clsWCFCalibrationEntry value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFCalibrationEntry $item
     * @return \ArrayType\ArrayOfClsWCFCalibrationEntry
     */
    public function addToClsWCFCalibrationEntry(\StructType\ClsWCFCalibrationEntry $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFCalibrationEntry) {
            throw new \InvalidArgumentException(sprintf('The clsWCFCalibrationEntry property can only contain items of type \StructType\ClsWCFCalibrationEntry, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFCalibrationEntry[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFCalibrationEntry|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFCalibrationEntry|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFCalibrationEntry|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFCalibrationEntry|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFCalibrationEntry|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFCalibrationEntry
     */
    public function getAttributeName()
    {
        return 'clsWCFCalibrationEntry';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFCalibrationEntry
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
