<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFCertificateEntry ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFCertificateEntry extends AbstractStructArrayBase
{
    /**
     * The clsWCFCertificateEntry
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFCertificateEntry[]
     */
    public $clsWCFCertificateEntry;
    /**
     * Constructor method for ArrayOfClsWCFCertificateEntry
     * @uses ArrayOfClsWCFCertificateEntry::setClsWCFCertificateEntry()
     * @param \StructType\ClsWCFCertificateEntry[] $clsWCFCertificateEntry
     */
    public function __construct(array $clsWCFCertificateEntry = array())
    {
        $this
            ->setClsWCFCertificateEntry($clsWCFCertificateEntry);
    }
    /**
     * Get clsWCFCertificateEntry value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFCertificateEntry[]|null
     */
    public function getClsWCFCertificateEntry()
    {
        return isset($this->clsWCFCertificateEntry) ? $this->clsWCFCertificateEntry : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFCertificateEntry method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFCertificateEntry method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFCertificateEntryForArrayConstraintsFromSetClsWCFCertificateEntry(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFCertificateEntryClsWCFCertificateEntryItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFCertificateEntryClsWCFCertificateEntryItem instanceof \StructType\ClsWCFCertificateEntry) {
                $invalidValues[] = is_object($arrayOfClsWCFCertificateEntryClsWCFCertificateEntryItem) ? get_class($arrayOfClsWCFCertificateEntryClsWCFCertificateEntryItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFCertificateEntryClsWCFCertificateEntryItem), var_export($arrayOfClsWCFCertificateEntryClsWCFCertificateEntryItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFCertificateEntry property can only contain items of type \StructType\ClsWCFCertificateEntry, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFCertificateEntry value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFCertificateEntry[] $clsWCFCertificateEntry
     * @return \ArrayType\ArrayOfClsWCFCertificateEntry
     */
    public function setClsWCFCertificateEntry(array $clsWCFCertificateEntry = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFCertificateEntryArrayErrorMessage = self::validateClsWCFCertificateEntryForArrayConstraintsFromSetClsWCFCertificateEntry($clsWCFCertificateEntry))) {
            throw new \InvalidArgumentException($clsWCFCertificateEntryArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFCertificateEntry) || (is_array($clsWCFCertificateEntry) && empty($clsWCFCertificateEntry))) {
            unset($this->clsWCFCertificateEntry);
        } else {
            $this->clsWCFCertificateEntry = $clsWCFCertificateEntry;
        }
        return $this;
    }
    /**
     * Add item to clsWCFCertificateEntry value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFCertificateEntry $item
     * @return \ArrayType\ArrayOfClsWCFCertificateEntry
     */
    public function addToClsWCFCertificateEntry(\StructType\ClsWCFCertificateEntry $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFCertificateEntry) {
            throw new \InvalidArgumentException(sprintf('The clsWCFCertificateEntry property can only contain items of type \StructType\ClsWCFCertificateEntry, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFCertificateEntry[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFCertificateEntry|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFCertificateEntry|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFCertificateEntry|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFCertificateEntry|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFCertificateEntry|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFCertificateEntry
     */
    public function getAttributeName()
    {
        return 'clsWCFCertificateEntry';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFCertificateEntry
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
