<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFClearanceAreaEntry ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFClearanceAreaEntry extends AbstractStructArrayBase
{
    /**
     * The clsWCFClearanceAreaEntry
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFClearanceAreaEntry[]
     */
    public $clsWCFClearanceAreaEntry;
    /**
     * Constructor method for ArrayOfClsWCFClearanceAreaEntry
     * @uses ArrayOfClsWCFClearanceAreaEntry::setClsWCFClearanceAreaEntry()
     * @param \StructType\ClsWCFClearanceAreaEntry[] $clsWCFClearanceAreaEntry
     */
    public function __construct(array $clsWCFClearanceAreaEntry = array())
    {
        $this
            ->setClsWCFClearanceAreaEntry($clsWCFClearanceAreaEntry);
    }
    /**
     * Get clsWCFClearanceAreaEntry value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFClearanceAreaEntry[]|null
     */
    public function getClsWCFClearanceAreaEntry()
    {
        return isset($this->clsWCFClearanceAreaEntry) ? $this->clsWCFClearanceAreaEntry : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFClearanceAreaEntry method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFClearanceAreaEntry method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFClearanceAreaEntryForArrayConstraintsFromSetClsWCFClearanceAreaEntry(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFClearanceAreaEntryClsWCFClearanceAreaEntryItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFClearanceAreaEntryClsWCFClearanceAreaEntryItem instanceof \StructType\ClsWCFClearanceAreaEntry) {
                $invalidValues[] = is_object($arrayOfClsWCFClearanceAreaEntryClsWCFClearanceAreaEntryItem) ? get_class($arrayOfClsWCFClearanceAreaEntryClsWCFClearanceAreaEntryItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFClearanceAreaEntryClsWCFClearanceAreaEntryItem), var_export($arrayOfClsWCFClearanceAreaEntryClsWCFClearanceAreaEntryItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFClearanceAreaEntry property can only contain items of type \StructType\ClsWCFClearanceAreaEntry, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFClearanceAreaEntry value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFClearanceAreaEntry[] $clsWCFClearanceAreaEntry
     * @return \ArrayType\ArrayOfClsWCFClearanceAreaEntry
     */
    public function setClsWCFClearanceAreaEntry(array $clsWCFClearanceAreaEntry = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFClearanceAreaEntryArrayErrorMessage = self::validateClsWCFClearanceAreaEntryForArrayConstraintsFromSetClsWCFClearanceAreaEntry($clsWCFClearanceAreaEntry))) {
            throw new \InvalidArgumentException($clsWCFClearanceAreaEntryArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFClearanceAreaEntry) || (is_array($clsWCFClearanceAreaEntry) && empty($clsWCFClearanceAreaEntry))) {
            unset($this->clsWCFClearanceAreaEntry);
        } else {
            $this->clsWCFClearanceAreaEntry = $clsWCFClearanceAreaEntry;
        }
        return $this;
    }
    /**
     * Add item to clsWCFClearanceAreaEntry value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFClearanceAreaEntry $item
     * @return \ArrayType\ArrayOfClsWCFClearanceAreaEntry
     */
    public function addToClsWCFClearanceAreaEntry(\StructType\ClsWCFClearanceAreaEntry $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFClearanceAreaEntry) {
            throw new \InvalidArgumentException(sprintf('The clsWCFClearanceAreaEntry property can only contain items of type \StructType\ClsWCFClearanceAreaEntry, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFClearanceAreaEntry[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFClearanceAreaEntry|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFClearanceAreaEntry|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFClearanceAreaEntry|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFClearanceAreaEntry|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFClearanceAreaEntry|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFClearanceAreaEntry
     */
    public function getAttributeName()
    {
        return 'clsWCFClearanceAreaEntry';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFClearanceAreaEntry
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
