<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFDiaryEntry ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFDiaryEntry extends AbstractStructArrayBase
{
    /**
     * The clsWCFDiaryEntry
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFDiaryEntry[]
     */
    public $clsWCFDiaryEntry;
    /**
     * Constructor method for ArrayOfClsWCFDiaryEntry
     * @uses ArrayOfClsWCFDiaryEntry::setClsWCFDiaryEntry()
     * @param \StructType\ClsWCFDiaryEntry[] $clsWCFDiaryEntry
     */
    public function __construct(array $clsWCFDiaryEntry = array())
    {
        $this
            ->setClsWCFDiaryEntry($clsWCFDiaryEntry);
    }
    /**
     * Get clsWCFDiaryEntry value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFDiaryEntry[]|null
     */
    public function getClsWCFDiaryEntry()
    {
        return isset($this->clsWCFDiaryEntry) ? $this->clsWCFDiaryEntry : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFDiaryEntry method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFDiaryEntry method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFDiaryEntryForArrayConstraintsFromSetClsWCFDiaryEntry(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFDiaryEntryClsWCFDiaryEntryItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFDiaryEntryClsWCFDiaryEntryItem instanceof \StructType\ClsWCFDiaryEntry) {
                $invalidValues[] = is_object($arrayOfClsWCFDiaryEntryClsWCFDiaryEntryItem) ? get_class($arrayOfClsWCFDiaryEntryClsWCFDiaryEntryItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFDiaryEntryClsWCFDiaryEntryItem), var_export($arrayOfClsWCFDiaryEntryClsWCFDiaryEntryItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFDiaryEntry property can only contain items of type \StructType\ClsWCFDiaryEntry, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFDiaryEntry value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFDiaryEntry[] $clsWCFDiaryEntry
     * @return \ArrayType\ArrayOfClsWCFDiaryEntry
     */
    public function setClsWCFDiaryEntry(array $clsWCFDiaryEntry = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFDiaryEntryArrayErrorMessage = self::validateClsWCFDiaryEntryForArrayConstraintsFromSetClsWCFDiaryEntry($clsWCFDiaryEntry))) {
            throw new \InvalidArgumentException($clsWCFDiaryEntryArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFDiaryEntry) || (is_array($clsWCFDiaryEntry) && empty($clsWCFDiaryEntry))) {
            unset($this->clsWCFDiaryEntry);
        } else {
            $this->clsWCFDiaryEntry = $clsWCFDiaryEntry;
        }
        return $this;
    }
    /**
     * Add item to clsWCFDiaryEntry value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFDiaryEntry $item
     * @return \ArrayType\ArrayOfClsWCFDiaryEntry
     */
    public function addToClsWCFDiaryEntry(\StructType\ClsWCFDiaryEntry $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFDiaryEntry) {
            throw new \InvalidArgumentException(sprintf('The clsWCFDiaryEntry property can only contain items of type \StructType\ClsWCFDiaryEntry, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFDiaryEntry[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFDiaryEntry|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFDiaryEntry|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFDiaryEntry|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFDiaryEntry|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFDiaryEntry|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFDiaryEntry
     */
    public function getAttributeName()
    {
        return 'clsWCFDiaryEntry';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFDiaryEntry
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
