<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFEmailEntry ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFEmailEntry extends AbstractStructArrayBase
{
    /**
     * The clsWCFEmailEntry
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFEmailEntry[]
     */
    public $clsWCFEmailEntry;
    /**
     * Constructor method for ArrayOfClsWCFEmailEntry
     * @uses ArrayOfClsWCFEmailEntry::setClsWCFEmailEntry()
     * @param \StructType\ClsWCFEmailEntry[] $clsWCFEmailEntry
     */
    public function __construct(array $clsWCFEmailEntry = array())
    {
        $this
            ->setClsWCFEmailEntry($clsWCFEmailEntry);
    }
    /**
     * Get clsWCFEmailEntry value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFEmailEntry[]|null
     */
    public function getClsWCFEmailEntry()
    {
        return isset($this->clsWCFEmailEntry) ? $this->clsWCFEmailEntry : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFEmailEntry method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFEmailEntry method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFEmailEntryForArrayConstraintsFromSetClsWCFEmailEntry(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFEmailEntryClsWCFEmailEntryItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFEmailEntryClsWCFEmailEntryItem instanceof \StructType\ClsWCFEmailEntry) {
                $invalidValues[] = is_object($arrayOfClsWCFEmailEntryClsWCFEmailEntryItem) ? get_class($arrayOfClsWCFEmailEntryClsWCFEmailEntryItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFEmailEntryClsWCFEmailEntryItem), var_export($arrayOfClsWCFEmailEntryClsWCFEmailEntryItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFEmailEntry property can only contain items of type \StructType\ClsWCFEmailEntry, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFEmailEntry value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFEmailEntry[] $clsWCFEmailEntry
     * @return \ArrayType\ArrayOfClsWCFEmailEntry
     */
    public function setClsWCFEmailEntry(array $clsWCFEmailEntry = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFEmailEntryArrayErrorMessage = self::validateClsWCFEmailEntryForArrayConstraintsFromSetClsWCFEmailEntry($clsWCFEmailEntry))) {
            throw new \InvalidArgumentException($clsWCFEmailEntryArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFEmailEntry) || (is_array($clsWCFEmailEntry) && empty($clsWCFEmailEntry))) {
            unset($this->clsWCFEmailEntry);
        } else {
            $this->clsWCFEmailEntry = $clsWCFEmailEntry;
        }
        return $this;
    }
    /**
     * Add item to clsWCFEmailEntry value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFEmailEntry $item
     * @return \ArrayType\ArrayOfClsWCFEmailEntry
     */
    public function addToClsWCFEmailEntry(\StructType\ClsWCFEmailEntry $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFEmailEntry) {
            throw new \InvalidArgumentException(sprintf('The clsWCFEmailEntry property can only contain items of type \StructType\ClsWCFEmailEntry, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFEmailEntry[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFEmailEntry|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFEmailEntry|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFEmailEntry|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFEmailEntry|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFEmailEntry|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFEmailEntry
     */
    public function getAttributeName()
    {
        return 'clsWCFEmailEntry';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFEmailEntry
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
