<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFErrorMessage ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFErrorMessage extends AbstractStructArrayBase
{
    /**
     * The clsWCFErrorMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFErrorMessage[]
     */
    public $clsWCFErrorMessage;
    /**
     * Constructor method for ArrayOfClsWCFErrorMessage
     * @uses ArrayOfClsWCFErrorMessage::setClsWCFErrorMessage()
     * @param \StructType\ClsWCFErrorMessage[] $clsWCFErrorMessage
     */
    public function __construct(array $clsWCFErrorMessage = array())
    {
        $this
            ->setClsWCFErrorMessage($clsWCFErrorMessage);
    }
    /**
     * Get clsWCFErrorMessage value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFErrorMessage[]|null
     */
    public function getClsWCFErrorMessage()
    {
        return isset($this->clsWCFErrorMessage) ? $this->clsWCFErrorMessage : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFErrorMessage method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFErrorMessage method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFErrorMessageForArrayConstraintsFromSetClsWCFErrorMessage(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFErrorMessageClsWCFErrorMessageItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFErrorMessageClsWCFErrorMessageItem instanceof \StructType\ClsWCFErrorMessage) {
                $invalidValues[] = is_object($arrayOfClsWCFErrorMessageClsWCFErrorMessageItem) ? get_class($arrayOfClsWCFErrorMessageClsWCFErrorMessageItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFErrorMessageClsWCFErrorMessageItem), var_export($arrayOfClsWCFErrorMessageClsWCFErrorMessageItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFErrorMessage property can only contain items of type \StructType\ClsWCFErrorMessage, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFErrorMessage value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFErrorMessage[] $clsWCFErrorMessage
     * @return \ArrayType\ArrayOfClsWCFErrorMessage
     */
    public function setClsWCFErrorMessage(array $clsWCFErrorMessage = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFErrorMessageArrayErrorMessage = self::validateClsWCFErrorMessageForArrayConstraintsFromSetClsWCFErrorMessage($clsWCFErrorMessage))) {
            throw new \InvalidArgumentException($clsWCFErrorMessageArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFErrorMessage) || (is_array($clsWCFErrorMessage) && empty($clsWCFErrorMessage))) {
            unset($this->clsWCFErrorMessage);
        } else {
            $this->clsWCFErrorMessage = $clsWCFErrorMessage;
        }
        return $this;
    }
    /**
     * Add item to clsWCFErrorMessage value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFErrorMessage $item
     * @return \ArrayType\ArrayOfClsWCFErrorMessage
     */
    public function addToClsWCFErrorMessage(\StructType\ClsWCFErrorMessage $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFErrorMessage) {
            throw new \InvalidArgumentException(sprintf('The clsWCFErrorMessage property can only contain items of type \StructType\ClsWCFErrorMessage, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFErrorMessage[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFErrorMessage|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFErrorMessage|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFErrorMessage|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFErrorMessage|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFErrorMessage|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFErrorMessage
     */
    public function getAttributeName()
    {
        return 'clsWCFErrorMessage';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFErrorMessage
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
