<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFJobOperative ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFJobOperative extends AbstractStructArrayBase
{
    /**
     * The clsWCFJobOperative
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFJobOperative[]
     */
    public $clsWCFJobOperative;
    /**
     * Constructor method for ArrayOfClsWCFJobOperative
     * @uses ArrayOfClsWCFJobOperative::setClsWCFJobOperative()
     * @param \StructType\ClsWCFJobOperative[] $clsWCFJobOperative
     */
    public function __construct(array $clsWCFJobOperative = array())
    {
        $this
            ->setClsWCFJobOperative($clsWCFJobOperative);
    }
    /**
     * Get clsWCFJobOperative value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFJobOperative[]|null
     */
    public function getClsWCFJobOperative()
    {
        return isset($this->clsWCFJobOperative) ? $this->clsWCFJobOperative : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFJobOperative method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFJobOperative method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFJobOperativeForArrayConstraintsFromSetClsWCFJobOperative(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFJobOperativeClsWCFJobOperativeItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFJobOperativeClsWCFJobOperativeItem instanceof \StructType\ClsWCFJobOperative) {
                $invalidValues[] = is_object($arrayOfClsWCFJobOperativeClsWCFJobOperativeItem) ? get_class($arrayOfClsWCFJobOperativeClsWCFJobOperativeItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFJobOperativeClsWCFJobOperativeItem), var_export($arrayOfClsWCFJobOperativeClsWCFJobOperativeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFJobOperative property can only contain items of type \StructType\ClsWCFJobOperative, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFJobOperative value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFJobOperative[] $clsWCFJobOperative
     * @return \ArrayType\ArrayOfClsWCFJobOperative
     */
    public function setClsWCFJobOperative(array $clsWCFJobOperative = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFJobOperativeArrayErrorMessage = self::validateClsWCFJobOperativeForArrayConstraintsFromSetClsWCFJobOperative($clsWCFJobOperative))) {
            throw new \InvalidArgumentException($clsWCFJobOperativeArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFJobOperative) || (is_array($clsWCFJobOperative) && empty($clsWCFJobOperative))) {
            unset($this->clsWCFJobOperative);
        } else {
            $this->clsWCFJobOperative = $clsWCFJobOperative;
        }
        return $this;
    }
    /**
     * Add item to clsWCFJobOperative value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFJobOperative $item
     * @return \ArrayType\ArrayOfClsWCFJobOperative
     */
    public function addToClsWCFJobOperative(\StructType\ClsWCFJobOperative $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFJobOperative) {
            throw new \InvalidArgumentException(sprintf('The clsWCFJobOperative property can only contain items of type \StructType\ClsWCFJobOperative, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFJobOperative[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFJobOperative|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFJobOperative|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFJobOperative|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFJobOperative|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFJobOperative|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFJobOperative
     */
    public function getAttributeName()
    {
        return 'clsWCFJobOperative';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFJobOperative
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
