<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFSample ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFSample extends AbstractStructArrayBase
{
    /**
     * The clsWCFSample
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFSample[]
     */
    public $clsWCFSample;
    /**
     * Constructor method for ArrayOfClsWCFSample
     * @uses ArrayOfClsWCFSample::setClsWCFSample()
     * @param \StructType\ClsWCFSample[] $clsWCFSample
     */
    public function __construct(array $clsWCFSample = array())
    {
        $this
            ->setClsWCFSample($clsWCFSample);
    }
    /**
     * Get clsWCFSample value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFSample[]|null
     */
    public function getClsWCFSample()
    {
        return isset($this->clsWCFSample) ? $this->clsWCFSample : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFSample method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFSample method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFSampleForArrayConstraintsFromSetClsWCFSample(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFSampleClsWCFSampleItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFSampleClsWCFSampleItem instanceof \StructType\ClsWCFSample) {
                $invalidValues[] = is_object($arrayOfClsWCFSampleClsWCFSampleItem) ? get_class($arrayOfClsWCFSampleClsWCFSampleItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFSampleClsWCFSampleItem), var_export($arrayOfClsWCFSampleClsWCFSampleItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFSample property can only contain items of type \StructType\ClsWCFSample, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFSample value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFSample[] $clsWCFSample
     * @return \ArrayType\ArrayOfClsWCFSample
     */
    public function setClsWCFSample(array $clsWCFSample = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFSampleArrayErrorMessage = self::validateClsWCFSampleForArrayConstraintsFromSetClsWCFSample($clsWCFSample))) {
            throw new \InvalidArgumentException($clsWCFSampleArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFSample) || (is_array($clsWCFSample) && empty($clsWCFSample))) {
            unset($this->clsWCFSample);
        } else {
            $this->clsWCFSample = $clsWCFSample;
        }
        return $this;
    }
    /**
     * Add item to clsWCFSample value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFSample $item
     * @return \ArrayType\ArrayOfClsWCFSample
     */
    public function addToClsWCFSample(\StructType\ClsWCFSample $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFSample) {
            throw new \InvalidArgumentException(sprintf('The clsWCFSample property can only contain items of type \StructType\ClsWCFSample, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFSample[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFSample|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFSample|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFSample|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFSample|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFSample|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFSample
     */
    public function getAttributeName()
    {
        return 'clsWCFSample';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFSample
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
