<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFSurveyRisk ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFSurveyRisk extends AbstractStructArrayBase
{
    /**
     * The clsWCFSurveyRisk
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFSurveyRisk[]
     */
    public $clsWCFSurveyRisk;
    /**
     * Constructor method for ArrayOfClsWCFSurveyRisk
     * @uses ArrayOfClsWCFSurveyRisk::setClsWCFSurveyRisk()
     * @param \StructType\ClsWCFSurveyRisk[] $clsWCFSurveyRisk
     */
    public function __construct(array $clsWCFSurveyRisk = array())
    {
        $this
            ->setClsWCFSurveyRisk($clsWCFSurveyRisk);
    }
    /**
     * Get clsWCFSurveyRisk value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFSurveyRisk[]|null
     */
    public function getClsWCFSurveyRisk()
    {
        return isset($this->clsWCFSurveyRisk) ? $this->clsWCFSurveyRisk : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFSurveyRisk method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFSurveyRisk method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFSurveyRiskForArrayConstraintsFromSetClsWCFSurveyRisk(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFSurveyRiskClsWCFSurveyRiskItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFSurveyRiskClsWCFSurveyRiskItem instanceof \StructType\ClsWCFSurveyRisk) {
                $invalidValues[] = is_object($arrayOfClsWCFSurveyRiskClsWCFSurveyRiskItem) ? get_class($arrayOfClsWCFSurveyRiskClsWCFSurveyRiskItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFSurveyRiskClsWCFSurveyRiskItem), var_export($arrayOfClsWCFSurveyRiskClsWCFSurveyRiskItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFSurveyRisk property can only contain items of type \StructType\ClsWCFSurveyRisk, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFSurveyRisk value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFSurveyRisk[] $clsWCFSurveyRisk
     * @return \ArrayType\ArrayOfClsWCFSurveyRisk
     */
    public function setClsWCFSurveyRisk(array $clsWCFSurveyRisk = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFSurveyRiskArrayErrorMessage = self::validateClsWCFSurveyRiskForArrayConstraintsFromSetClsWCFSurveyRisk($clsWCFSurveyRisk))) {
            throw new \InvalidArgumentException($clsWCFSurveyRiskArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFSurveyRisk) || (is_array($clsWCFSurveyRisk) && empty($clsWCFSurveyRisk))) {
            unset($this->clsWCFSurveyRisk);
        } else {
            $this->clsWCFSurveyRisk = $clsWCFSurveyRisk;
        }
        return $this;
    }
    /**
     * Add item to clsWCFSurveyRisk value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFSurveyRisk $item
     * @return \ArrayType\ArrayOfClsWCFSurveyRisk
     */
    public function addToClsWCFSurveyRisk(\StructType\ClsWCFSurveyRisk $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFSurveyRisk) {
            throw new \InvalidArgumentException(sprintf('The clsWCFSurveyRisk property can only contain items of type \StructType\ClsWCFSurveyRisk, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFSurveyRisk[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFSurveyRisk|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFSurveyRisk|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFSurveyRisk|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFSurveyRisk|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFSurveyRisk|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFSurveyRisk
     */
    public function getAttributeName()
    {
        return 'clsWCFSurveyRisk';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFSurveyRisk
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
