<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfClsWCFTapPipe ArrayType
 * @subpackage Arrays
 */
class ArrayOfClsWCFTapPipe extends AbstractStructArrayBase
{
    /**
     * The clsWCFTapPipe
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ClsWCFTapPipe[]
     */
    public $clsWCFTapPipe;
    /**
     * Constructor method for ArrayOfClsWCFTapPipe
     * @uses ArrayOfClsWCFTapPipe::setClsWCFTapPipe()
     * @param \StructType\ClsWCFTapPipe[] $clsWCFTapPipe
     */
    public function __construct(array $clsWCFTapPipe = array())
    {
        $this
            ->setClsWCFTapPipe($clsWCFTapPipe);
    }
    /**
     * Get clsWCFTapPipe value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ClsWCFTapPipe[]|null
     */
    public function getClsWCFTapPipe()
    {
        return isset($this->clsWCFTapPipe) ? $this->clsWCFTapPipe : null;
    }
    /**
     * This method is responsible for validating the values passed to the setClsWCFTapPipe method
     * This method is willingly generated in order to preserve the one-line inline validation within the setClsWCFTapPipe method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateClsWCFTapPipeForArrayConstraintsFromSetClsWCFTapPipe(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfClsWCFTapPipeClsWCFTapPipeItem) {
            // validation for constraint: itemType
            if (!$arrayOfClsWCFTapPipeClsWCFTapPipeItem instanceof \StructType\ClsWCFTapPipe) {
                $invalidValues[] = is_object($arrayOfClsWCFTapPipeClsWCFTapPipeItem) ? get_class($arrayOfClsWCFTapPipeClsWCFTapPipeItem) : sprintf('%s(%s)', gettype($arrayOfClsWCFTapPipeClsWCFTapPipeItem), var_export($arrayOfClsWCFTapPipeClsWCFTapPipeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The clsWCFTapPipe property can only contain items of type \StructType\ClsWCFTapPipe, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set clsWCFTapPipe value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFTapPipe[] $clsWCFTapPipe
     * @return \ArrayType\ArrayOfClsWCFTapPipe
     */
    public function setClsWCFTapPipe(array $clsWCFTapPipe = array())
    {
        // validation for constraint: array
        if ('' !== ($clsWCFTapPipeArrayErrorMessage = self::validateClsWCFTapPipeForArrayConstraintsFromSetClsWCFTapPipe($clsWCFTapPipe))) {
            throw new \InvalidArgumentException($clsWCFTapPipeArrayErrorMessage, __LINE__);
        }
        if (is_null($clsWCFTapPipe) || (is_array($clsWCFTapPipe) && empty($clsWCFTapPipe))) {
            unset($this->clsWCFTapPipe);
        } else {
            $this->clsWCFTapPipe = $clsWCFTapPipe;
        }
        return $this;
    }
    /**
     * Add item to clsWCFTapPipe value
     * @throws \InvalidArgumentException
     * @param \StructType\ClsWCFTapPipe $item
     * @return \ArrayType\ArrayOfClsWCFTapPipe
     */
    public function addToClsWCFTapPipe(\StructType\ClsWCFTapPipe $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ClsWCFTapPipe) {
            throw new \InvalidArgumentException(sprintf('The clsWCFTapPipe property can only contain items of type \StructType\ClsWCFTapPipe, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->clsWCFTapPipe[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ClsWCFTapPipe|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ClsWCFTapPipe|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ClsWCFTapPipe|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ClsWCFTapPipe|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ClsWCFTapPipe|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string clsWCFTapPipe
     */
    public function getAttributeName()
    {
        return 'clsWCFTapPipe';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfClsWCFTapPipe
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
