<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'UploadSamples' => '\\StructType\\UploadSamples',
            'ArrayOfClsWCFSample' => '\\ArrayType\\ArrayOfClsWCFSample',
            'clsWCFSample' => '\\StructType\\ClsWCFSample',
            'UploadSamplesResponse' => '\\StructType\\UploadSamplesResponse',
            'clsWCFIntMessage' => '\\StructType\\ClsWCFIntMessage',
            'UploadAssets' => '\\StructType\\UploadAssets',
            'ArrayOfClsWCFAsset' => '\\ArrayType\\ArrayOfClsWCFAsset',
            'clsWCFAsset' => '\\StructType\\ClsWCFAsset',
            'UploadAssetsResponse' => '\\StructType\\UploadAssetsResponse',
            'UploadAndroidAssets' => '\\StructType\\UploadAndroidAssets',
            'ArrayOfClsWCFAndroidAsset' => '\\ArrayType\\ArrayOfClsWCFAndroidAsset',
            'clsWCFAndroidAsset' => '\\StructType\\ClsWCFAndroidAsset',
            'UploadAndroidAssetsResponse' => '\\StructType\\UploadAndroidAssetsResponse',
            'UploadAssetAnswers' => '\\StructType\\UploadAssetAnswers',
            'ArrayOfClsWCFAssetAnswer' => '\\ArrayType\\ArrayOfClsWCFAssetAnswer',
            'clsWCFAssetAnswer' => '\\StructType\\ClsWCFAssetAnswer',
            'UploadAssetAnswersResponse' => '\\StructType\\UploadAssetAnswersResponse',
            'ReadSurveyorLocations' => '\\StructType\\ReadSurveyorLocations',
            'ReadSurveyorLocationsResponse' => '\\StructType\\ReadSurveyorLocationsResponse',
            'clsWCFDatatableMessage' => '\\StructType\\ClsWCFDatatableMessage',
            'ReturnValue' => '\\StructType\\ReturnValue',
            'RequestAppCurrentVersion' => '\\StructType\\RequestAppCurrentVersion',
            'RequestAppCurrentVersionResponse' => '\\StructType\\RequestAppCurrentVersionResponse',
            'clsWCFStringMessage' => '\\StructType\\ClsWCFStringMessage',
            'UploadSurveyorLocation' => '\\StructType\\UploadSurveyorLocation',
            'UploadSurveyorLocationResponse' => '\\StructType\\UploadSurveyorLocationResponse',
            'UploadSurvey' => '\\StructType\\UploadSurvey',
            'UploadSurveyResponse' => '\\StructType\\UploadSurveyResponse',
            'UploadSurveyRisks' => '\\StructType\\UploadSurveyRisks',
            'ArrayOfClsWCFSurveyRisk' => '\\ArrayType\\ArrayOfClsWCFSurveyRisk',
            'clsWCFSurveyRisk' => '\\StructType\\ClsWCFSurveyRisk',
            'UploadSurveyRisksResponse' => '\\StructType\\UploadSurveyRisksResponse',
            'UploadTapsPipes' => '\\StructType\\UploadTapsPipes',
            'ArrayOfClsWCFTapPipe' => '\\ArrayType\\ArrayOfClsWCFTapPipe',
            'clsWCFTapPipe' => '\\StructType\\ClsWCFTapPipe',
            'UploadTapsPipesResponse' => '\\StructType\\UploadTapsPipesResponse',
            'UploadQuestionnaire' => '\\StructType\\UploadQuestionnaire',
            'ArrayOfClsWCFAnswer' => '\\ArrayType\\ArrayOfClsWCFAnswer',
            'clsWCFAnswer' => '\\StructType\\ClsWCFAnswer',
            'UploadQuestionnaireResponse' => '\\StructType\\UploadQuestionnaireResponse',
            'UploadQuestionnaireFire' => '\\StructType\\UploadQuestionnaireFire',
            'ArrayOfClsWCFAnswerFire' => '\\ArrayType\\ArrayOfClsWCFAnswerFire',
            'clsWCFAnswerFire' => '\\StructType\\ClsWCFAnswerFire',
            'UploadQuestionnaireFireResponse' => '\\StructType\\UploadQuestionnaireFireResponse',
            'UploadFlatFire' => '\\StructType\\UploadFlatFire',
            'ArrayOfClsWCFFlatFire' => '\\ArrayType\\ArrayOfClsWCFFlatFire',
            'clsWCFFlatFire' => '\\StructType\\ClsWCFFlatFire',
            'UploadFlatFireResponse' => '\\StructType\\UploadFlatFireResponse',
            'UploadJobOperatives' => '\\StructType\\UploadJobOperatives',
            'ArrayOfClsWCFJobOperative' => '\\ArrayType\\ArrayOfClsWCFJobOperative',
            'clsWCFJobOperative' => '\\StructType\\ClsWCFJobOperative',
            'UploadJobOperativesResponse' => '\\StructType\\UploadJobOperativesResponse',
            'UploadCalibrations' => '\\StructType\\UploadCalibrations',
            'ArrayOfClsWCFCalibrationEntry' => '\\ArrayType\\ArrayOfClsWCFCalibrationEntry',
            'clsWCFCalibrationEntry' => '\\StructType\\ClsWCFCalibrationEntry',
            'ArrayOfClsWCFEmailEntry' => '\\ArrayType\\ArrayOfClsWCFEmailEntry',
            'clsWCFEmailEntry' => '\\StructType\\ClsWCFEmailEntry',
            'UploadCalibrationsResponse' => '\\StructType\\UploadCalibrationsResponse',
            'UploadStagePhotoList' => '\\StructType\\UploadStagePhotoList',
            'ArrayOfClsWCFStagePhotoEntry' => '\\ArrayType\\ArrayOfClsWCFStagePhotoEntry',
            'clsWCFStagePhotoEntry' => '\\StructType\\ClsWCFStagePhotoEntry',
            'UploadStagePhotoListResponse' => '\\StructType\\UploadStagePhotoListResponse',
            'UploadDiaryEntries' => '\\StructType\\UploadDiaryEntries',
            'ArrayOfClsWCFDiaryEntry' => '\\ArrayType\\ArrayOfClsWCFDiaryEntry',
            'clsWCFDiaryEntry' => '\\StructType\\ClsWCFDiaryEntry',
            'UploadDiaryEntriesResponse' => '\\StructType\\UploadDiaryEntriesResponse',
            'UploadAdditionalAnalysts' => '\\StructType\\UploadAdditionalAnalysts',
            'ArrayOfClsWCFAnalystEntry' => '\\ArrayType\\ArrayOfClsWCFAnalystEntry',
            'clsWCFAnalystEntry' => '\\StructType\\ClsWCFAnalystEntry',
            'UploadAdditionalAnalystsResponse' => '\\StructType\\UploadAdditionalAnalystsResponse',
            'UploadAirTests' => '\\StructType\\UploadAirTests',
            'ArrayOfClsWCFAirTestEntry' => '\\ArrayType\\ArrayOfClsWCFAirTestEntry',
            'clsWCFAirTestEntry' => '\\StructType\\ClsWCFAirTestEntry',
            'UploadAirTestsResponse' => '\\StructType\\UploadAirTestsResponse',
            'UploadClearanceAreas' => '\\StructType\\UploadClearanceAreas',
            'ArrayOfClsWCFClearanceAreaEntry' => '\\ArrayType\\ArrayOfClsWCFClearanceAreaEntry',
            'clsWCFClearanceAreaEntry' => '\\StructType\\ClsWCFClearanceAreaEntry',
            'ArrayOfClsWCFCertificateEntry' => '\\ArrayType\\ArrayOfClsWCFCertificateEntry',
            'clsWCFCertificateEntry' => '\\StructType\\ClsWCFCertificateEntry',
            'UploadClearanceAreasResponse' => '\\StructType\\UploadClearanceAreasResponse',
            'SetActualSurveyor' => '\\StructType\\SetActualSurveyor',
            'SetActualSurveyorResponse' => '\\StructType\\SetActualSurveyorResponse',
            'UploadErrorMessages' => '\\StructType\\UploadErrorMessages',
            'ArrayOfClsWCFErrorMessage' => '\\ArrayType\\ArrayOfClsWCFErrorMessage',
            'clsWCFErrorMessage' => '\\StructType\\ClsWCFErrorMessage',
            'UploadErrorMessagesResponse' => '\\StructType\\UploadErrorMessagesResponse',
            'DeleteCLODownloadIds' => '\\StructType\\DeleteCLODownloadIds',
            'DeleteCLODownloadIdsResponse' => '\\StructType\\DeleteCLODownloadIdsResponse',
            'DeleteCLOJob' => '\\StructType\\DeleteCLOJob',
            'DeleteCLOJobResponse' => '\\StructType\\DeleteCLOJobResponse',
            'DeleteTeam' => '\\StructType\\DeleteTeam',
            'DeleteTeamResponse' => '\\StructType\\DeleteTeamResponse',
            'DeleteFiles' => '\\StructType\\DeleteFiles',
            'DeleteFilesResponse' => '\\StructType\\DeleteFilesResponse',
            'DeleteSurveys' => '\\StructType\\DeleteSurveys',
            'DeleteSurveysResponse' => '\\StructType\\DeleteSurveysResponse',
            'DeleteErrors' => '\\StructType\\DeleteErrors',
            'DeleteErrorsResponse' => '\\StructType\\DeleteErrorsResponse',
            'ReadErrors' => '\\StructType\\ReadErrors',
            'ReadErrorsResponse' => '\\StructType\\ReadErrorsResponse',
            'GetMonitorLast3' => '\\StructType\\GetMonitorLast3',
            'GetMonitorLast3Response' => '\\StructType\\GetMonitorLast3Response',
            'ReadAnswers' => '\\StructType\\ReadAnswers',
            'ReadAnswersResponse' => '\\StructType\\ReadAnswersResponse',
            'ReadFlats' => '\\StructType\\ReadFlats',
            'ReadFlatsResponse' => '\\StructType\\ReadFlatsResponse',
            'ReadCalibrations' => '\\StructType\\ReadCalibrations',
            'ReadCalibrationsResponse' => '\\StructType\\ReadCalibrationsResponse',
            'ReadEMails' => '\\StructType\\ReadEMails',
            'ReadEMailsResponse' => '\\StructType\\ReadEMailsResponse',
            'ReadClearanceAreas' => '\\StructType\\ReadClearanceAreas',
            'ReadClearanceAreasResponse' => '\\StructType\\ReadClearanceAreasResponse',
            'ReadCertificates' => '\\StructType\\ReadCertificates',
            'ReadCertificatesResponse' => '\\StructType\\ReadCertificatesResponse',
            'ReadStagePhotoList' => '\\StructType\\ReadStagePhotoList',
            'ReadStagePhotoListResponse' => '\\StructType\\ReadStagePhotoListResponse',
            'ReadDiaryEntries' => '\\StructType\\ReadDiaryEntries',
            'ReadDiaryEntriesResponse' => '\\StructType\\ReadDiaryEntriesResponse',
            'ReadAnalystEntries' => '\\StructType\\ReadAnalystEntries',
            'ReadAnalystEntriesResponse' => '\\StructType\\ReadAnalystEntriesResponse',
            'ReadAirTests' => '\\StructType\\ReadAirTests',
            'ReadAirTestsResponse' => '\\StructType\\ReadAirTestsResponse',
            'ReadAssetAnswers' => '\\StructType\\ReadAssetAnswers',
            'ReadAssetAnswersResponse' => '\\StructType\\ReadAssetAnswersResponse',
            'ReadSurveyRisks' => '\\StructType\\ReadSurveyRisks',
            'ReadSurveyRisksResponse' => '\\StructType\\ReadSurveyRisksResponse',
            'ReadSamples' => '\\StructType\\ReadSamples',
            'ReadSamplesResponse' => '\\StructType\\ReadSamplesResponse',
            'ReadAssets' => '\\StructType\\ReadAssets',
            'ReadAssetsResponse' => '\\StructType\\ReadAssetsResponse',
            'ReadSurveysReadyForDownload' => '\\StructType\\ReadSurveysReadyForDownload',
            'ReadSurveysReadyForDownloadResponse' => '\\StructType\\ReadSurveysReadyForDownloadResponse',
            'ReadWaterPipes' => '\\StructType\\ReadWaterPipes',
            'ReadWaterPipesResponse' => '\\StructType\\ReadWaterPipesResponse',
            'ReadStopTaps' => '\\StructType\\ReadStopTaps',
            'ReadStopTapsResponse' => '\\StructType\\ReadStopTapsResponse',
            'RequestCompanyLinkCode' => '\\StructType\\RequestCompanyLinkCode',
            'RequestCompanyLinkCodeResponse' => '\\StructType\\RequestCompanyLinkCodeResponse',
            'GetCompany' => '\\StructType\\GetCompany',
            'GetCompanyResponse' => '\\StructType\\GetCompanyResponse',
            'clsWCFCompanyMessage' => '\\StructType\\ClsWCFCompanyMessage',
            'UploadFile' => '\\StructType\\UploadFile',
            'UploadFileResponse' => '\\StructType\\UploadFileResponse',
            'UploadFileAnalytical' => '\\StructType\\UploadFileAnalytical',
            'UploadFileAnalyticalResponse' => '\\StructType\\UploadFileAnalyticalResponse',
            'ReadSurveysForSurveyor' => '\\StructType\\ReadSurveysForSurveyor',
            'ReadSurveysForSurveyorResponse' => '\\StructType\\ReadSurveysForSurveyorResponse',
            'clsWCFSurveyListMessage' => '\\StructType\\ClsWCFSurveyListMessage',
            'ArrayOfClsWCFSurvey' => '\\ArrayType\\ArrayOfClsWCFSurvey',
            'clsWCFSurvey' => '\\StructType\\ClsWCFSurvey',
            'ArrayOfClsWCFReInspectionItem' => '\\ArrayType\\ArrayOfClsWCFReInspectionItem',
            'clsWCFReInspectionItem' => '\\StructType\\ClsWCFReInspectionItem',
            'FetchSurveyJobsFromHub' => '\\StructType\\FetchSurveyJobsFromHub',
            'FetchSurveyJobsFromHubResponse' => '\\StructType\\FetchSurveyJobsFromHubResponse',
            'clsWCFSurveyJobIDlist' => '\\StructType\\ClsWCFSurveyJobIDlist',
            'ArrayOfInt' => '\\ArrayType\\ArrayOfInt',
            'FetchSurveyDiaryEntries' => '\\StructType\\FetchSurveyDiaryEntries',
            'FetchSurveyDiaryEntriesResponse' => '\\StructType\\FetchSurveyDiaryEntriesResponse',
            'clsWCFDiaryEntriesListMessage' => '\\StructType\\ClsWCFDiaryEntriesListMessage',
            'FetchSurveyAirTestEntries' => '\\StructType\\FetchSurveyAirTestEntries',
            'FetchSurveyAirTestEntriesResponse' => '\\StructType\\FetchSurveyAirTestEntriesResponse',
            'clsWCFFetchAirTestsListMessage' => '\\StructType\\ClsWCFFetchAirTestsListMessage',
            'FetchSurveyPhotoList' => '\\StructType\\FetchSurveyPhotoList',
            'FetchSurveyPhotoListResponse' => '\\StructType\\FetchSurveyPhotoListResponse',
            'clsWCFFetchPhotosListListMessage' => '\\StructType\\ClsWCFFetchPhotosListListMessage',
            'FetchSurveyClearanceAreas' => '\\StructType\\FetchSurveyClearanceAreas',
            'FetchSurveyClearanceAreasResponse' => '\\StructType\\FetchSurveyClearanceAreasResponse',
            'clsWCFFetchClearanceAreasListMessage' => '\\StructType\\ClsWCFFetchClearanceAreasListMessage',
            'FetchSurveyCertificates' => '\\StructType\\FetchSurveyCertificates',
            'FetchSurveyCertificatesResponse' => '\\StructType\\FetchSurveyCertificatesResponse',
            'clsWCFFetchCertificatesListMessage' => '\\StructType\\ClsWCFFetchCertificatesListMessage',
            'ReadLookups' => '\\StructType\\ReadLookups',
            'ReadLookupsResponse' => '\\StructType\\ReadLookupsResponse',
            'clsWCFLookupListMessage' => '\\StructType\\ClsWCFLookupListMessage',
            'ArrayOfClsWCFLookup' => '\\ArrayType\\ArrayOfClsWCFLookup',
            'clsWCFLookup' => '\\StructType\\ClsWCFLookup',
            'ReActivateSurvey' => '\\StructType\\ReActivateSurvey',
            'ReActivateSurveyResponse' => '\\StructType\\ReActivateSurveyResponse',
            'SetCompletedTime' => '\\StructType\\SetCompletedTime',
            'SetCompletedTimeResponse' => '\\StructType\\SetCompletedTimeResponse',
            'UploadAndroidSamples' => '\\StructType\\UploadAndroidSamples',
            'ArrayOfClsWCFAndroidSample' => '\\ArrayType\\ArrayOfClsWCFAndroidSample',
            'clsWCFAndroidSample' => '\\StructType\\ClsWCFAndroidSample',
            'UploadAndroidSamplesResponse' => '\\StructType\\UploadAndroidSamplesResponse',
            'GetVersion' => '\\StructType\\GetVersion',
            'GetVersionResponse' => '\\StructType\\GetVersionResponse',
            'GetAsbestosVersion' => '\\StructType\\GetAsbestosVersion',
            'GetAsbestosVersionResponse' => '\\StructType\\GetAsbestosVersionResponse',
            'GetIdentifier' => '\\StructType\\GetIdentifier',
            'GetIdentifierResponse' => '\\StructType\\GetIdentifierResponse',
            'TestWCF' => '\\StructType\\TestWCF',
            'TestWCFResponse' => '\\StructType\\TestWCFResponse',
            'MikesTestWCF' => '\\StructType\\MikesTestWCF',
            'MikesTestWCFResponse' => '\\StructType\\MikesTestWCFResponse',
            'ClearSurveys' => '\\StructType\\ClearSurveys',
            'ClearSurveysResponse' => '\\StructType\\ClearSurveysResponse',
            'DownloadFileNoCheck' => '\\StructType\\DownloadFileNoCheck',
            'DownloadFileNoCheckResponse' => '\\StructType\\DownloadFileNoCheckResponse',
            'clsWCFByteArrayMessage' => '\\StructType\\ClsWCFByteArrayMessage',
            'DownloadFileChunk' => '\\StructType\\DownloadFileChunk',
            'DownloadFileChunkResponse' => '\\StructType\\DownloadFileChunkResponse',
            'clsWCFChunkByteArrayMessage' => '\\StructType\\ClsWCFChunkByteArrayMessage',
            'DownloadFile' => '\\StructType\\DownloadFile',
            'DownloadFileResponse' => '\\StructType\\DownloadFileResponse',
            'MarkSurveyDownloaded' => '\\StructType\\MarkSurveyDownloaded',
            'MarkSurveyDownloadedResponse' => '\\StructType\\MarkSurveyDownloadedResponse',
            'ArchiveSurveyPhotos' => '\\StructType\\ArchiveSurveyPhotos',
            'ArchiveSurveyPhotosResponse' => '\\StructType\\ArchiveSurveyPhotosResponse',
            'MarkSurveyFinished' => '\\StructType\\MarkSurveyFinished',
            'MarkSurveyFinishedResponse' => '\\StructType\\MarkSurveyFinishedResponse',
            'UploadActionDescription' => '\\StructType\\UploadActionDescription',
            'UploadActionDescriptionResponse' => '\\StructType\\UploadActionDescriptionResponse',
            'UploadFactor' => '\\StructType\\UploadFactor',
            'UploadFactorResponse' => '\\StructType\\UploadFactorResponse',
            'UploadLab' => '\\StructType\\UploadLab',
            'UploadLabResponse' => '\\StructType\\UploadLabResponse',
            'UploadRisk' => '\\StructType\\UploadRisk',
            'UploadRiskResponse' => '\\StructType\\UploadRiskResponse',
            'UploadReInspectionItem' => '\\StructType\\UploadReInspectionItem',
            'UploadReInspectionItemResponse' => '\\StructType\\UploadReInspectionItemResponse',
            'UploadScheme' => '\\StructType\\UploadScheme',
            'UploadSchemeResponse' => '\\StructType\\UploadSchemeResponse',
            'UploadLocationDescription' => '\\StructType\\UploadLocationDescription',
            'UploadLocationDescriptionResponse' => '\\StructType\\UploadLocationDescriptionResponse',
            'UploadNoAccessReason' => '\\StructType\\UploadNoAccessReason',
            'UploadNoAccessReasonResponse' => '\\StructType\\UploadNoAccessReasonResponse',
            'UploadQuestion' => '\\StructType\\UploadQuestion',
            'UploadQuestionResponse' => '\\StructType\\UploadQuestionResponse',
            'UploadQuestionFire' => '\\StructType\\UploadQuestionFire',
            'UploadQuestionFireResponse' => '\\StructType\\UploadQuestionFireResponse',
            'UploadAssetType' => '\\StructType\\UploadAssetType',
            'UploadAssetTypeResponse' => '\\StructType\\UploadAssetTypeResponse',
            'UploadCompanySettings' => '\\StructType\\UploadCompanySettings',
            'UploadCompanySettingsResponse' => '\\StructType\\UploadCompanySettingsResponse',
            'UploadRecommendationDescription' => '\\StructType\\UploadRecommendationDescription',
            'UploadRecommendationDescriptionResponse' => '\\StructType\\UploadRecommendationDescriptionResponse',
            'UploadSection' => '\\StructType\\UploadSection',
            'UploadSectionResponse' => '\\StructType\\UploadSectionResponse',
            'UploadSelection' => '\\StructType\\UploadSelection',
            'UploadSelectionResponse' => '\\StructType\\UploadSelectionResponse',
            'UploadSelectionFire' => '\\StructType\\UploadSelectionFire',
            'UploadSelectionFireResponse' => '\\StructType\\UploadSelectionFireResponse',
            'UploadSurveyor' => '\\StructType\\UploadSurveyor',
            'UploadSurveyorResponse' => '\\StructType\\UploadSurveyorResponse',
            'UploadJob' => '\\StructType\\UploadJob',
            'UploadJobResponse' => '\\StructType\\UploadJobResponse',
            'UploadUnit' => '\\StructType\\UploadUnit',
            'UploadUnitResponse' => '\\StructType\\UploadUnitResponse',
            'UploadWaterSystemType' => '\\StructType\\UploadWaterSystemType',
            'UploadWaterSystemTypeResponse' => '\\StructType\\UploadWaterSystemTypeResponse',
        );
    }
}
