<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for clsWCFLookup StructType
 * @subpackage Structs
 */
class ClsWCFLookup extends AbstractStructBase
{
    /**
     * The HubID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $HubID;
    /**
     * The Integer1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Integer1;
    /**
     * The Integer2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Integer2;
    /**
     * The Integer3
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Integer3;
    /**
     * The DisabledFlag
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $DisabledFlag;
    /**
     * The ModifiedDateTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $ModifiedDateTime;
    /**
     * The Boolean1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Boolean1;
    /**
     * The Boolean2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Boolean2;
    /**
     * The LookupType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LookupType;
    /**
     * The Description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Description;
    /**
     * The Code
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Code;
    /**
     * The String1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $String1;
    /**
     * Constructor method for clsWCFLookup
     * @uses ClsWCFLookup::setHubID()
     * @uses ClsWCFLookup::setInteger1()
     * @uses ClsWCFLookup::setInteger2()
     * @uses ClsWCFLookup::setInteger3()
     * @uses ClsWCFLookup::setDisabledFlag()
     * @uses ClsWCFLookup::setModifiedDateTime()
     * @uses ClsWCFLookup::setBoolean1()
     * @uses ClsWCFLookup::setBoolean2()
     * @uses ClsWCFLookup::setLookupType()
     * @uses ClsWCFLookup::setDescription()
     * @uses ClsWCFLookup::setCode()
     * @uses ClsWCFLookup::setString1()
     * @param int $hubID
     * @param int $integer1
     * @param int $integer2
     * @param int $integer3
     * @param bool $disabledFlag
     * @param string $modifiedDateTime
     * @param bool $boolean1
     * @param bool $boolean2
     * @param string $lookupType
     * @param string $description
     * @param string $code
     * @param string $string1
     */
    public function __construct($hubID = null, $integer1 = null, $integer2 = null, $integer3 = null, $disabledFlag = null, $modifiedDateTime = null, $boolean1 = null, $boolean2 = null, $lookupType = null, $description = null, $code = null, $string1 = null)
    {
        $this
            ->setHubID($hubID)
            ->setInteger1($integer1)
            ->setInteger2($integer2)
            ->setInteger3($integer3)
            ->setDisabledFlag($disabledFlag)
            ->setModifiedDateTime($modifiedDateTime)
            ->setBoolean1($boolean1)
            ->setBoolean2($boolean2)
            ->setLookupType($lookupType)
            ->setDescription($description)
            ->setCode($code)
            ->setString1($string1);
    }
    /**
     * Get HubID value
     * @return int
     */
    public function getHubID()
    {
        return $this->HubID;
    }
    /**
     * Set HubID value
     * @param int $hubID
     * @return \StructType\ClsWCFLookup
     */
    public function setHubID($hubID = null)
    {
        // validation for constraint: int
        if (!is_null($hubID) && !(is_int($hubID) || ctype_digit($hubID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($hubID, true), gettype($hubID)), __LINE__);
        }
        $this->HubID = $hubID;
        return $this;
    }
    /**
     * Get Integer1 value
     * @return int
     */
    public function getInteger1()
    {
        return $this->Integer1;
    }
    /**
     * Set Integer1 value
     * @param int $integer1
     * @return \StructType\ClsWCFLookup
     */
    public function setInteger1($integer1 = null)
    {
        // validation for constraint: int
        if (!is_null($integer1) && !(is_int($integer1) || ctype_digit($integer1))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($integer1, true), gettype($integer1)), __LINE__);
        }
        $this->Integer1 = $integer1;
        return $this;
    }
    /**
     * Get Integer2 value
     * @return int
     */
    public function getInteger2()
    {
        return $this->Integer2;
    }
    /**
     * Set Integer2 value
     * @param int $integer2
     * @return \StructType\ClsWCFLookup
     */
    public function setInteger2($integer2 = null)
    {
        // validation for constraint: int
        if (!is_null($integer2) && !(is_int($integer2) || ctype_digit($integer2))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($integer2, true), gettype($integer2)), __LINE__);
        }
        $this->Integer2 = $integer2;
        return $this;
    }
    /**
     * Get Integer3 value
     * @return int
     */
    public function getInteger3()
    {
        return $this->Integer3;
    }
    /**
     * Set Integer3 value
     * @param int $integer3
     * @return \StructType\ClsWCFLookup
     */
    public function setInteger3($integer3 = null)
    {
        // validation for constraint: int
        if (!is_null($integer3) && !(is_int($integer3) || ctype_digit($integer3))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($integer3, true), gettype($integer3)), __LINE__);
        }
        $this->Integer3 = $integer3;
        return $this;
    }
    /**
     * Get DisabledFlag value
     * @return bool
     */
    public function getDisabledFlag()
    {
        return $this->DisabledFlag;
    }
    /**
     * Set DisabledFlag value
     * @param bool $disabledFlag
     * @return \StructType\ClsWCFLookup
     */
    public function setDisabledFlag($disabledFlag = null)
    {
        // validation for constraint: boolean
        if (!is_null($disabledFlag) && !is_bool($disabledFlag)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($disabledFlag, true), gettype($disabledFlag)), __LINE__);
        }
        $this->DisabledFlag = $disabledFlag;
        return $this;
    }
    /**
     * Get ModifiedDateTime value
     * @return string
     */
    public function getModifiedDateTime()
    {
        return $this->ModifiedDateTime;
    }
    /**
     * Set ModifiedDateTime value
     * @param string $modifiedDateTime
     * @return \StructType\ClsWCFLookup
     */
    public function setModifiedDateTime($modifiedDateTime = null)
    {
        // validation for constraint: string
        if (!is_null($modifiedDateTime) && !is_string($modifiedDateTime)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($modifiedDateTime, true), gettype($modifiedDateTime)), __LINE__);
        }
        $this->ModifiedDateTime = $modifiedDateTime;
        return $this;
    }
    /**
     * Get Boolean1 value
     * @return bool
     */
    public function getBoolean1()
    {
        return $this->Boolean1;
    }
    /**
     * Set Boolean1 value
     * @param bool $boolean1
     * @return \StructType\ClsWCFLookup
     */
    public function setBoolean1($boolean1 = null)
    {
        // validation for constraint: boolean
        if (!is_null($boolean1) && !is_bool($boolean1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($boolean1, true), gettype($boolean1)), __LINE__);
        }
        $this->Boolean1 = $boolean1;
        return $this;
    }
    /**
     * Get Boolean2 value
     * @return bool
     */
    public function getBoolean2()
    {
        return $this->Boolean2;
    }
    /**
     * Set Boolean2 value
     * @param bool $boolean2
     * @return \StructType\ClsWCFLookup
     */
    public function setBoolean2($boolean2 = null)
    {
        // validation for constraint: boolean
        if (!is_null($boolean2) && !is_bool($boolean2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($boolean2, true), gettype($boolean2)), __LINE__);
        }
        $this->Boolean2 = $boolean2;
        return $this;
    }
    /**
     * Get LookupType value
     * @return string|null
     */
    public function getLookupType()
    {
        return $this->LookupType;
    }
    /**
     * Set LookupType value
     * @param string $lookupType
     * @return \StructType\ClsWCFLookup
     */
    public function setLookupType($lookupType = null)
    {
        // validation for constraint: string
        if (!is_null($lookupType) && !is_string($lookupType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($lookupType, true), gettype($lookupType)), __LINE__);
        }
        $this->LookupType = $lookupType;
        return $this;
    }
    /**
     * Get Description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * Set Description value
     * @param string $description
     * @return \StructType\ClsWCFLookup
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->Description = $description;
        return $this;
    }
    /**
     * Get Code value
     * @return string|null
     */
    public function getCode()
    {
        return $this->Code;
    }
    /**
     * Set Code value
     * @param string $code
     * @return \StructType\ClsWCFLookup
     */
    public function setCode($code = null)
    {
        // validation for constraint: string
        if (!is_null($code) && !is_string($code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($code, true), gettype($code)), __LINE__);
        }
        $this->Code = $code;
        return $this;
    }
    /**
     * Get String1 value
     * @return string|null
     */
    public function getString1()
    {
        return $this->String1;
    }
    /**
     * Set String1 value
     * @param string $string1
     * @return \StructType\ClsWCFLookup
     */
    public function setString1($string1 = null)
    {
        // validation for constraint: string
        if (!is_null($string1) && !is_string($string1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($string1, true), gettype($string1)), __LINE__);
        }
        $this->String1 = $string1;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ClsWCFLookup
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
