<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for clsWCFLookupListMessage StructType
 * @subpackage Structs
 */
class ClsWCFLookupListMessage extends AbstractStructBase
{
    /**
     * The NextAuthCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $NextAuthCode;
    /**
     * The ErrorMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ErrorMessage;
    /**
     * The ReturnValue
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfClsWCFLookup
     */
    public $ReturnValue;
    /**
     * Constructor method for clsWCFLookupListMessage
     * @uses ClsWCFLookupListMessage::setNextAuthCode()
     * @uses ClsWCFLookupListMessage::setErrorMessage()
     * @uses ClsWCFLookupListMessage::setReturnValue()
     * @param string $nextAuthCode
     * @param string $errorMessage
     * @param \ArrayType\ArrayOfClsWCFLookup $returnValue
     */
    public function __construct($nextAuthCode = null, $errorMessage = null, \ArrayType\ArrayOfClsWCFLookup $returnValue = null)
    {
        $this
            ->setNextAuthCode($nextAuthCode)
            ->setErrorMessage($errorMessage)
            ->setReturnValue($returnValue);
    }
    /**
     * Get NextAuthCode value
     * @return string|null
     */
    public function getNextAuthCode()
    {
        return $this->NextAuthCode;
    }
    /**
     * Set NextAuthCode value
     * @param string $nextAuthCode
     * @return \StructType\ClsWCFLookupListMessage
     */
    public function setNextAuthCode($nextAuthCode = null)
    {
        // validation for constraint: string
        if (!is_null($nextAuthCode) && !is_string($nextAuthCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nextAuthCode, true), gettype($nextAuthCode)), __LINE__);
        }
        $this->NextAuthCode = $nextAuthCode;
        return $this;
    }
    /**
     * Get ErrorMessage value
     * @return string|null
     */
    public function getErrorMessage()
    {
        return $this->ErrorMessage;
    }
    /**
     * Set ErrorMessage value
     * @param string $errorMessage
     * @return \StructType\ClsWCFLookupListMessage
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        $this->ErrorMessage = $errorMessage;
        return $this;
    }
    /**
     * Get ReturnValue value
     * @return \ArrayType\ArrayOfClsWCFLookup|null
     */
    public function getReturnValue()
    {
        return $this->ReturnValue;
    }
    /**
     * Set ReturnValue value
     * @param \ArrayType\ArrayOfClsWCFLookup $returnValue
     * @return \StructType\ClsWCFLookupListMessage
     */
    public function setReturnValue(\ArrayType\ArrayOfClsWCFLookup $returnValue = null)
    {
        $this->ReturnValue = $returnValue;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ClsWCFLookupListMessage
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
