<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for clsWCFSurveyRisk StructType
 * @subpackage Structs
 */
class ClsWCFSurveyRisk extends AbstractStructBase
{
    /**
     * The HubSurveyID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $HubSurveyID;
    /**
     * The HubRiskID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $HubRiskID;
    /**
     * Constructor method for clsWCFSurveyRisk
     * @uses ClsWCFSurveyRisk::setHubSurveyID()
     * @uses ClsWCFSurveyRisk::setHubRiskID()
     * @param int $hubSurveyID
     * @param int $hubRiskID
     */
    public function __construct($hubSurveyID = null, $hubRiskID = null)
    {
        $this
            ->setHubSurveyID($hubSurveyID)
            ->setHubRiskID($hubRiskID);
    }
    /**
     * Get HubSurveyID value
     * @return int
     */
    public function getHubSurveyID()
    {
        return $this->HubSurveyID;
    }
    /**
     * Set HubSurveyID value
     * @param int $hubSurveyID
     * @return \StructType\ClsWCFSurveyRisk
     */
    public function setHubSurveyID($hubSurveyID = null)
    {
        // validation for constraint: int
        if (!is_null($hubSurveyID) && !(is_int($hubSurveyID) || ctype_digit($hubSurveyID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($hubSurveyID, true), gettype($hubSurveyID)), __LINE__);
        }
        $this->HubSurveyID = $hubSurveyID;
        return $this;
    }
    /**
     * Get HubRiskID value
     * @return int
     */
    public function getHubRiskID()
    {
        return $this->HubRiskID;
    }
    /**
     * Set HubRiskID value
     * @param int $hubRiskID
     * @return \StructType\ClsWCFSurveyRisk
     */
    public function setHubRiskID($hubRiskID = null)
    {
        // validation for constraint: int
        if (!is_null($hubRiskID) && !(is_int($hubRiskID) || ctype_digit($hubRiskID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($hubRiskID, true), gettype($hubRiskID)), __LINE__);
        }
        $this->HubRiskID = $hubRiskID;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ClsWCFSurveyRisk
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
