<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for clsWCFTapPipe StructType
 * @subpackage Structs
 */
class ClsWCFTapPipe extends AbstractStructBase
{
    /**
     * The HubSurveyID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $HubSurveyID;
    /**
     * The InternalFlag
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $InternalFlag;
    /**
     * The PhoneID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $PhoneID;
    /**
     * The RecordType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $RecordType;
    /**
     * The Location
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Location;
    /**
     * The Type
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Type;
    /**
     * The Condition
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Condition;
    /**
     * Constructor method for clsWCFTapPipe
     * @uses ClsWCFTapPipe::setHubSurveyID()
     * @uses ClsWCFTapPipe::setInternalFlag()
     * @uses ClsWCFTapPipe::setPhoneID()
     * @uses ClsWCFTapPipe::setRecordType()
     * @uses ClsWCFTapPipe::setLocation()
     * @uses ClsWCFTapPipe::setType()
     * @uses ClsWCFTapPipe::setCondition()
     * @param int $hubSurveyID
     * @param bool $internalFlag
     * @param int $phoneID
     * @param string $recordType
     * @param string $location
     * @param string $type
     * @param string $condition
     */
    public function __construct($hubSurveyID = null, $internalFlag = null, $phoneID = null, $recordType = null, $location = null, $type = null, $condition = null)
    {
        $this
            ->setHubSurveyID($hubSurveyID)
            ->setInternalFlag($internalFlag)
            ->setPhoneID($phoneID)
            ->setRecordType($recordType)
            ->setLocation($location)
            ->setType($type)
            ->setCondition($condition);
    }
    /**
     * Get HubSurveyID value
     * @return int
     */
    public function getHubSurveyID()
    {
        return $this->HubSurveyID;
    }
    /**
     * Set HubSurveyID value
     * @param int $hubSurveyID
     * @return \StructType\ClsWCFTapPipe
     */
    public function setHubSurveyID($hubSurveyID = null)
    {
        // validation for constraint: int
        if (!is_null($hubSurveyID) && !(is_int($hubSurveyID) || ctype_digit($hubSurveyID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($hubSurveyID, true), gettype($hubSurveyID)), __LINE__);
        }
        $this->HubSurveyID = $hubSurveyID;
        return $this;
    }
    /**
     * Get InternalFlag value
     * @return bool
     */
    public function getInternalFlag()
    {
        return $this->InternalFlag;
    }
    /**
     * Set InternalFlag value
     * @param bool $internalFlag
     * @return \StructType\ClsWCFTapPipe
     */
    public function setInternalFlag($internalFlag = null)
    {
        // validation for constraint: boolean
        if (!is_null($internalFlag) && !is_bool($internalFlag)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($internalFlag, true), gettype($internalFlag)), __LINE__);
        }
        $this->InternalFlag = $internalFlag;
        return $this;
    }
    /**
     * Get PhoneID value
     * @return int
     */
    public function getPhoneID()
    {
        return $this->PhoneID;
    }
    /**
     * Set PhoneID value
     * @param int $phoneID
     * @return \StructType\ClsWCFTapPipe
     */
    public function setPhoneID($phoneID = null)
    {
        // validation for constraint: int
        if (!is_null($phoneID) && !(is_int($phoneID) || ctype_digit($phoneID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($phoneID, true), gettype($phoneID)), __LINE__);
        }
        $this->PhoneID = $phoneID;
        return $this;
    }
    /**
     * Get RecordType value
     * @return string|null
     */
    public function getRecordType()
    {
        return $this->RecordType;
    }
    /**
     * Set RecordType value
     * @param string $recordType
     * @return \StructType\ClsWCFTapPipe
     */
    public function setRecordType($recordType = null)
    {
        // validation for constraint: string
        if (!is_null($recordType) && !is_string($recordType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($recordType, true), gettype($recordType)), __LINE__);
        }
        $this->RecordType = $recordType;
        return $this;
    }
    /**
     * Get Location value
     * @return string|null
     */
    public function getLocation()
    {
        return $this->Location;
    }
    /**
     * Set Location value
     * @param string $location
     * @return \StructType\ClsWCFTapPipe
     */
    public function setLocation($location = null)
    {
        // validation for constraint: string
        if (!is_null($location) && !is_string($location)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($location, true), gettype($location)), __LINE__);
        }
        $this->Location = $location;
        return $this;
    }
    /**
     * Get Type value
     * @return string|null
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param string $type
     * @return \StructType\ClsWCFTapPipe
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->Type = $type;
        return $this;
    }
    /**
     * Get Condition value
     * @return string|null
     */
    public function getCondition()
    {
        return $this->Condition;
    }
    /**
     * Set Condition value
     * @param string $condition
     * @return \StructType\ClsWCFTapPipe
     */
    public function setCondition($condition = null)
    {
        // validation for constraint: string
        if (!is_null($condition) && !is_string($condition)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($condition, true), gettype($condition)), __LINE__);
        }
        $this->Condition = $condition;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ClsWCFTapPipe
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
