<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ReadLookups StructType
 * @subpackage Structs
 */
class ReadLookups extends AbstractStructBase
{
    /**
     * The pCompanyID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pCompanyID;
    /**
     * The pUserID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pUserID;
    /**
     * The pAuthKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pAuthKey;
    /**
     * The pWorkTypeID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pWorkTypeID;
    /**
     * The pModifiedDateTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $pModifiedDateTime;
    /**
     * Constructor method for ReadLookups
     * @uses ReadLookups::setPCompanyID()
     * @uses ReadLookups::setPUserID()
     * @uses ReadLookups::setPAuthKey()
     * @uses ReadLookups::setPWorkTypeID()
     * @uses ReadLookups::setPModifiedDateTime()
     * @param int $pCompanyID
     * @param int $pUserID
     * @param int $pAuthKey
     * @param int $pWorkTypeID
     * @param string $pModifiedDateTime
     */
    public function __construct($pCompanyID = null, $pUserID = null, $pAuthKey = null, $pWorkTypeID = null, $pModifiedDateTime = null)
    {
        $this
            ->setPCompanyID($pCompanyID)
            ->setPUserID($pUserID)
            ->setPAuthKey($pAuthKey)
            ->setPWorkTypeID($pWorkTypeID)
            ->setPModifiedDateTime($pModifiedDateTime);
    }
    /**
     * Get pCompanyID value
     * @return int
     */
    public function getPCompanyID()
    {
        return $this->pCompanyID;
    }
    /**
     * Set pCompanyID value
     * @param int $pCompanyID
     * @return \StructType\ReadLookups
     */
    public function setPCompanyID($pCompanyID = null)
    {
        // validation for constraint: int
        if (!is_null($pCompanyID) && !(is_int($pCompanyID) || ctype_digit($pCompanyID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pCompanyID, true), gettype($pCompanyID)), __LINE__);
        }
        $this->pCompanyID = $pCompanyID;
        return $this;
    }
    /**
     * Get pUserID value
     * @return int
     */
    public function getPUserID()
    {
        return $this->pUserID;
    }
    /**
     * Set pUserID value
     * @param int $pUserID
     * @return \StructType\ReadLookups
     */
    public function setPUserID($pUserID = null)
    {
        // validation for constraint: int
        if (!is_null($pUserID) && !(is_int($pUserID) || ctype_digit($pUserID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pUserID, true), gettype($pUserID)), __LINE__);
        }
        $this->pUserID = $pUserID;
        return $this;
    }
    /**
     * Get pAuthKey value
     * @return int
     */
    public function getPAuthKey()
    {
        return $this->pAuthKey;
    }
    /**
     * Set pAuthKey value
     * @param int $pAuthKey
     * @return \StructType\ReadLookups
     */
    public function setPAuthKey($pAuthKey = null)
    {
        // validation for constraint: int
        if (!is_null($pAuthKey) && !(is_int($pAuthKey) || ctype_digit($pAuthKey))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pAuthKey, true), gettype($pAuthKey)), __LINE__);
        }
        $this->pAuthKey = $pAuthKey;
        return $this;
    }
    /**
     * Get pWorkTypeID value
     * @return int
     */
    public function getPWorkTypeID()
    {
        return $this->pWorkTypeID;
    }
    /**
     * Set pWorkTypeID value
     * @param int $pWorkTypeID
     * @return \StructType\ReadLookups
     */
    public function setPWorkTypeID($pWorkTypeID = null)
    {
        // validation for constraint: int
        if (!is_null($pWorkTypeID) && !(is_int($pWorkTypeID) || ctype_digit($pWorkTypeID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pWorkTypeID, true), gettype($pWorkTypeID)), __LINE__);
        }
        $this->pWorkTypeID = $pWorkTypeID;
        return $this;
    }
    /**
     * Get pModifiedDateTime value
     * @return string
     */
    public function getPModifiedDateTime()
    {
        return $this->pModifiedDateTime;
    }
    /**
     * Set pModifiedDateTime value
     * @param string $pModifiedDateTime
     * @return \StructType\ReadLookups
     */
    public function setPModifiedDateTime($pModifiedDateTime = null)
    {
        // validation for constraint: string
        if (!is_null($pModifiedDateTime) && !is_string($pModifiedDateTime)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pModifiedDateTime, true), gettype($pModifiedDateTime)), __LINE__);
        }
        $this->pModifiedDateTime = $pModifiedDateTime;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ReadLookups
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
