<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UploadAndroidAssets StructType
 * @subpackage Structs
 */
class UploadAndroidAssets extends AbstractStructBase
{
    /**
     * The pCompanyID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pCompanyID;
    /**
     * The pUserID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pUserID;
    /**
     * The pAuthKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pAuthKey;
    /**
     * The pSurveyorID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pSurveyorID;
    /**
     * The pAssets
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfClsWCFAndroidAsset
     */
    public $pAssets;
    /**
     * Constructor method for UploadAndroidAssets
     * @uses UploadAndroidAssets::setPCompanyID()
     * @uses UploadAndroidAssets::setPUserID()
     * @uses UploadAndroidAssets::setPAuthKey()
     * @uses UploadAndroidAssets::setPSurveyorID()
     * @uses UploadAndroidAssets::setPAssets()
     * @param int $pCompanyID
     * @param int $pUserID
     * @param int $pAuthKey
     * @param int $pSurveyorID
     * @param \ArrayType\ArrayOfClsWCFAndroidAsset $pAssets
     */
    public function __construct($pCompanyID = null, $pUserID = null, $pAuthKey = null, $pSurveyorID = null, \ArrayType\ArrayOfClsWCFAndroidAsset $pAssets = null)
    {
        $this
            ->setPCompanyID($pCompanyID)
            ->setPUserID($pUserID)
            ->setPAuthKey($pAuthKey)
            ->setPSurveyorID($pSurveyorID)
            ->setPAssets($pAssets);
    }
    /**
     * Get pCompanyID value
     * @return int
     */
    public function getPCompanyID()
    {
        return $this->pCompanyID;
    }
    /**
     * Set pCompanyID value
     * @param int $pCompanyID
     * @return \StructType\UploadAndroidAssets
     */
    public function setPCompanyID($pCompanyID = null)
    {
        // validation for constraint: int
        if (!is_null($pCompanyID) && !(is_int($pCompanyID) || ctype_digit($pCompanyID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pCompanyID, true), gettype($pCompanyID)), __LINE__);
        }
        $this->pCompanyID = $pCompanyID;
        return $this;
    }
    /**
     * Get pUserID value
     * @return int
     */
    public function getPUserID()
    {
        return $this->pUserID;
    }
    /**
     * Set pUserID value
     * @param int $pUserID
     * @return \StructType\UploadAndroidAssets
     */
    public function setPUserID($pUserID = null)
    {
        // validation for constraint: int
        if (!is_null($pUserID) && !(is_int($pUserID) || ctype_digit($pUserID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pUserID, true), gettype($pUserID)), __LINE__);
        }
        $this->pUserID = $pUserID;
        return $this;
    }
    /**
     * Get pAuthKey value
     * @return int
     */
    public function getPAuthKey()
    {
        return $this->pAuthKey;
    }
    /**
     * Set pAuthKey value
     * @param int $pAuthKey
     * @return \StructType\UploadAndroidAssets
     */
    public function setPAuthKey($pAuthKey = null)
    {
        // validation for constraint: int
        if (!is_null($pAuthKey) && !(is_int($pAuthKey) || ctype_digit($pAuthKey))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pAuthKey, true), gettype($pAuthKey)), __LINE__);
        }
        $this->pAuthKey = $pAuthKey;
        return $this;
    }
    /**
     * Get pSurveyorID value
     * @return int
     */
    public function getPSurveyorID()
    {
        return $this->pSurveyorID;
    }
    /**
     * Set pSurveyorID value
     * @param int $pSurveyorID
     * @return \StructType\UploadAndroidAssets
     */
    public function setPSurveyorID($pSurveyorID = null)
    {
        // validation for constraint: int
        if (!is_null($pSurveyorID) && !(is_int($pSurveyorID) || ctype_digit($pSurveyorID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pSurveyorID, true), gettype($pSurveyorID)), __LINE__);
        }
        $this->pSurveyorID = $pSurveyorID;
        return $this;
    }
    /**
     * Get pAssets value
     * @return \ArrayType\ArrayOfClsWCFAndroidAsset|null
     */
    public function getPAssets()
    {
        return $this->pAssets;
    }
    /**
     * Set pAssets value
     * @param \ArrayType\ArrayOfClsWCFAndroidAsset $pAssets
     * @return \StructType\UploadAndroidAssets
     */
    public function setPAssets(\ArrayType\ArrayOfClsWCFAndroidAsset $pAssets = null)
    {
        $this->pAssets = $pAssets;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\UploadAndroidAssets
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
