<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UploadQuestion StructType
 * @subpackage Structs
 */
class UploadQuestion extends AbstractStructBase
{
    /**
     * The pCompanyID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pCompanyID;
    /**
     * The pUserID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pUserID;
    /**
     * The pAuthKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pAuthKey;
    /**
     * The pHubQuestionID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pHubQuestionID;
    /**
     * The pSequenceNumber
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pSequenceNumber;
    /**
     * The pAssetTypeID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pAssetTypeID;
    /**
     * The pDisabledFlag
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $pDisabledFlag;
    /**
     * The pHubSectionID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $pHubSectionID;
    /**
     * The pQuestionText
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pQuestionText;
    /**
     * The pFieldType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pFieldType;
    /**
     * The pUsageCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pUsageCode;
    /**
     * Constructor method for UploadQuestion
     * @uses UploadQuestion::setPCompanyID()
     * @uses UploadQuestion::setPUserID()
     * @uses UploadQuestion::setPAuthKey()
     * @uses UploadQuestion::setPHubQuestionID()
     * @uses UploadQuestion::setPSequenceNumber()
     * @uses UploadQuestion::setPAssetTypeID()
     * @uses UploadQuestion::setPDisabledFlag()
     * @uses UploadQuestion::setPHubSectionID()
     * @uses UploadQuestion::setPQuestionText()
     * @uses UploadQuestion::setPFieldType()
     * @uses UploadQuestion::setPUsageCode()
     * @param int $pCompanyID
     * @param int $pUserID
     * @param int $pAuthKey
     * @param int $pHubQuestionID
     * @param int $pSequenceNumber
     * @param int $pAssetTypeID
     * @param bool $pDisabledFlag
     * @param int $pHubSectionID
     * @param string $pQuestionText
     * @param string $pFieldType
     * @param string $pUsageCode
     */
    public function __construct($pCompanyID = null, $pUserID = null, $pAuthKey = null, $pHubQuestionID = null, $pSequenceNumber = null, $pAssetTypeID = null, $pDisabledFlag = null, $pHubSectionID = null, $pQuestionText = null, $pFieldType = null, $pUsageCode = null)
    {
        $this
            ->setPCompanyID($pCompanyID)
            ->setPUserID($pUserID)
            ->setPAuthKey($pAuthKey)
            ->setPHubQuestionID($pHubQuestionID)
            ->setPSequenceNumber($pSequenceNumber)
            ->setPAssetTypeID($pAssetTypeID)
            ->setPDisabledFlag($pDisabledFlag)
            ->setPHubSectionID($pHubSectionID)
            ->setPQuestionText($pQuestionText)
            ->setPFieldType($pFieldType)
            ->setPUsageCode($pUsageCode);
    }
    /**
     * Get pCompanyID value
     * @return int
     */
    public function getPCompanyID()
    {
        return $this->pCompanyID;
    }
    /**
     * Set pCompanyID value
     * @param int $pCompanyID
     * @return \StructType\UploadQuestion
     */
    public function setPCompanyID($pCompanyID = null)
    {
        // validation for constraint: int
        if (!is_null($pCompanyID) && !(is_int($pCompanyID) || ctype_digit($pCompanyID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pCompanyID, true), gettype($pCompanyID)), __LINE__);
        }
        $this->pCompanyID = $pCompanyID;
        return $this;
    }
    /**
     * Get pUserID value
     * @return int
     */
    public function getPUserID()
    {
        return $this->pUserID;
    }
    /**
     * Set pUserID value
     * @param int $pUserID
     * @return \StructType\UploadQuestion
     */
    public function setPUserID($pUserID = null)
    {
        // validation for constraint: int
        if (!is_null($pUserID) && !(is_int($pUserID) || ctype_digit($pUserID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pUserID, true), gettype($pUserID)), __LINE__);
        }
        $this->pUserID = $pUserID;
        return $this;
    }
    /**
     * Get pAuthKey value
     * @return int
     */
    public function getPAuthKey()
    {
        return $this->pAuthKey;
    }
    /**
     * Set pAuthKey value
     * @param int $pAuthKey
     * @return \StructType\UploadQuestion
     */
    public function setPAuthKey($pAuthKey = null)
    {
        // validation for constraint: int
        if (!is_null($pAuthKey) && !(is_int($pAuthKey) || ctype_digit($pAuthKey))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pAuthKey, true), gettype($pAuthKey)), __LINE__);
        }
        $this->pAuthKey = $pAuthKey;
        return $this;
    }
    /**
     * Get pHubQuestionID value
     * @return int
     */
    public function getPHubQuestionID()
    {
        return $this->pHubQuestionID;
    }
    /**
     * Set pHubQuestionID value
     * @param int $pHubQuestionID
     * @return \StructType\UploadQuestion
     */
    public function setPHubQuestionID($pHubQuestionID = null)
    {
        // validation for constraint: int
        if (!is_null($pHubQuestionID) && !(is_int($pHubQuestionID) || ctype_digit($pHubQuestionID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pHubQuestionID, true), gettype($pHubQuestionID)), __LINE__);
        }
        $this->pHubQuestionID = $pHubQuestionID;
        return $this;
    }
    /**
     * Get pSequenceNumber value
     * @return int
     */
    public function getPSequenceNumber()
    {
        return $this->pSequenceNumber;
    }
    /**
     * Set pSequenceNumber value
     * @param int $pSequenceNumber
     * @return \StructType\UploadQuestion
     */
    public function setPSequenceNumber($pSequenceNumber = null)
    {
        // validation for constraint: int
        if (!is_null($pSequenceNumber) && !(is_int($pSequenceNumber) || ctype_digit($pSequenceNumber))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pSequenceNumber, true), gettype($pSequenceNumber)), __LINE__);
        }
        $this->pSequenceNumber = $pSequenceNumber;
        return $this;
    }
    /**
     * Get pAssetTypeID value
     * @return int
     */
    public function getPAssetTypeID()
    {
        return $this->pAssetTypeID;
    }
    /**
     * Set pAssetTypeID value
     * @param int $pAssetTypeID
     * @return \StructType\UploadQuestion
     */
    public function setPAssetTypeID($pAssetTypeID = null)
    {
        // validation for constraint: int
        if (!is_null($pAssetTypeID) && !(is_int($pAssetTypeID) || ctype_digit($pAssetTypeID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pAssetTypeID, true), gettype($pAssetTypeID)), __LINE__);
        }
        $this->pAssetTypeID = $pAssetTypeID;
        return $this;
    }
    /**
     * Get pDisabledFlag value
     * @return bool
     */
    public function getPDisabledFlag()
    {
        return $this->pDisabledFlag;
    }
    /**
     * Set pDisabledFlag value
     * @param bool $pDisabledFlag
     * @return \StructType\UploadQuestion
     */
    public function setPDisabledFlag($pDisabledFlag = null)
    {
        // validation for constraint: boolean
        if (!is_null($pDisabledFlag) && !is_bool($pDisabledFlag)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($pDisabledFlag, true), gettype($pDisabledFlag)), __LINE__);
        }
        $this->pDisabledFlag = $pDisabledFlag;
        return $this;
    }
    /**
     * Get pHubSectionID value
     * @return int
     */
    public function getPHubSectionID()
    {
        return $this->pHubSectionID;
    }
    /**
     * Set pHubSectionID value
     * @param int $pHubSectionID
     * @return \StructType\UploadQuestion
     */
    public function setPHubSectionID($pHubSectionID = null)
    {
        // validation for constraint: int
        if (!is_null($pHubSectionID) && !(is_int($pHubSectionID) || ctype_digit($pHubSectionID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pHubSectionID, true), gettype($pHubSectionID)), __LINE__);
        }
        $this->pHubSectionID = $pHubSectionID;
        return $this;
    }
    /**
     * Get pQuestionText value
     * @return string|null
     */
    public function getPQuestionText()
    {
        return $this->pQuestionText;
    }
    /**
     * Set pQuestionText value
     * @param string $pQuestionText
     * @return \StructType\UploadQuestion
     */
    public function setPQuestionText($pQuestionText = null)
    {
        // validation for constraint: string
        if (!is_null($pQuestionText) && !is_string($pQuestionText)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pQuestionText, true), gettype($pQuestionText)), __LINE__);
        }
        $this->pQuestionText = $pQuestionText;
        return $this;
    }
    /**
     * Get pFieldType value
     * @return string|null
     */
    public function getPFieldType()
    {
        return $this->pFieldType;
    }
    /**
     * Set pFieldType value
     * @param string $pFieldType
     * @return \StructType\UploadQuestion
     */
    public function setPFieldType($pFieldType = null)
    {
        // validation for constraint: string
        if (!is_null($pFieldType) && !is_string($pFieldType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pFieldType, true), gettype($pFieldType)), __LINE__);
        }
        $this->pFieldType = $pFieldType;
        return $this;
    }
    /**
     * Get pUsageCode value
     * @return string|null
     */
    public function getPUsageCode()
    {
        return $this->pUsageCode;
    }
    /**
     * Set pUsageCode value
     * @param string $pUsageCode
     * @return \StructType\UploadQuestion
     */
    public function setPUsageCode($pUsageCode = null)
    {
        // validation for constraint: string
        if (!is_null($pUsageCode) && !is_string($pUsageCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pUsageCode, true), gettype($pUsageCode)), __LINE__);
        }
        $this->pUsageCode = $pUsageCode;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\UploadQuestion
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
